2006-04-29 20:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.52), "Exp", lines: +6 -8

	updated zh_CN.po
	
2006-04-29 20:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.117), "Exp", lines: +228 -0
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.9), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.20), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.23), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.7), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.8), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.8), "Exp", lines: +1 -0
		po/de.po (1.39), "Exp", lines: +14 -13
		po/desktop.pot (1.40), "Exp", lines: +1 -1
		po/desktop_ko.po (1.19), "Exp", lines: +2 -2
		po/fr.po (1.24), "Exp", lines: +14 -13
		po/it.po (1.24), "Exp", lines: +14 -13
		po/ja.po (1.46), "Exp", lines: +14 -14
		po/ko.po (1.42), "Exp", lines: +13 -13
		po/pa.po (1.3), "Exp", lines: +14 -13
		po/skim.pot (1.45), "Exp", lines: +13 -13
		po/zh_CN.po (1.51), "Exp", lines: +18 -16
		po/zh_TW.po (1.30), "Exp", lines: +13 -13

	updated translation
	
2006-04-29 20:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.27), "Exp", lines: +4 -4

	fixed compilation with qt 3.3.6
	
2006-04-07 05:42  Kitae <neeum@users.sourceforge.net>

	Changed:
		po/desktop_ko.po (1.18), "Exp", lines: +8 -5
		po/ko.po (1.41), "Exp", lines: +63 -57

	korean translation update
	
2006-04-05 17:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.116), "Exp", lines: +128 -0
		TODO (1.99), "Exp", lines: +2 -0
		plugins/mainwindow/mainwindow.cpp (1.97), "Exp", lines: +1 -2
		src/skimglobalactions.cpp (1.56), "Exp", lines: +0 -1
		src/skimpluginmanager.cpp (1.49), "Exp", lines: +58 -4
		src/skimpluginmanager.h (1.19), "Exp", lines: +5 -2

	implement session management support to save user config when logout from session
	
2006-03-27 15:16  Kitae <neeum@users.sourceforge.net>

	Changed:
		po/desktop_ko.po (1.17), "Exp", lines: +12 -19
		po/ko.po (1.40), "Exp", lines: +108 -141

2006-03-14 21:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.55), "Exp", lines: +1 -1
		src/skimglobalactions.h (1.31), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.96), "Exp", lines: +1 -1

	typo in function name
	
2006-03-03 12:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.20), "Exp", lines: +1 -1
		configure.in.in (1.66), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.95), "Exp", lines: +33 -58
		plugins/mainwindow/mainwindow.h (1.45), "Exp", lines: +1 -2
		src/skimglobalactions.cpp (1.54), "Exp", lines: +43 -29
		src/skimglobalactions.h (1.30), "Exp", lines: +7 -1
		src/socketserverthread.cpp (1.81), "Exp", lines: +2 -53
		utils/scimxmlguibuilder.cpp (1.9), "Exp", lines: +12 -2

	anthor try to fix bug https://bugzilla.novell.com/show_bug.cgi?id=149541 ; optimize toolbar update code
	
2006-03-03 12:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.48), "Exp", lines: +28 -50

	cleanup
	
2006-03-02 22:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.94), "Exp", lines: +8 -4
		src/skimglobalactions.cpp (1.53), "Exp", lines: +5 -7

	fixed bug https://bugzilla.novell.com/show_bug.cgi?id=149541
	
2006-03-01 10:12  James Su <suzhe@tsinghua.org.cn>

	Changed:
		src/skimglobalactions.cpp (1.52), "Exp", lines: +5 -2

	Fix skim crash issue when deleting helper properties.
	See bug report https://bugzilla.novell.com/show_bug.cgi?id=149541
	
2006-01-30 11:56  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/compmgrclient.cpp (1.6), "Exp", lines: +1 -1
		plugins/compmgrclient/compmgrclient.h (1.5), "Exp", lines: +1 -1
		plugins/inputwindow/configinputwindow.cpp (1.7), "Exp", lines: +1 -1
		plugins/inputwindow/configinputwindow.h (1.5), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.73), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.h (1.41), "Exp", lines: +1 -1
		plugins/inputwindow/scimlineedit.cpp (1.21), "Exp", lines: +1 -1
		plugins/inputwindow/scimlineedit.h (1.11), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.cpp (1.29), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.h (1.23), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.27), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.h (1.11), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringlistitem.cpp (1.14), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringlistitem.h (1.16), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringrender.cpp (1.15), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringrender.h (1.9), "Exp", lines: +1 -1
		plugins/kdetraystatus/kcmloader.cpp (1.7), "Exp", lines: +1 -1
		plugins/kdetraystatus/kcmloader.h (1.7), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.42), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.h (1.16), "Exp", lines: +1 -1
		plugins/kdetraystatus/systemtrayplugin.cpp (1.10), "Exp", lines: +1 -1
		plugins/kdetraystatus/systemtrayplugin.h (1.5), "Exp", lines: +1 -1
		plugins/mainwindow/configmainwindow.cpp (1.10), "Exp", lines: +1 -1
		plugins/mainwindow/configmainwindow.h (1.6), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.93), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.h (1.44), "Exp", lines: +1 -1
		plugins/scimlauncher/scimlauncher.cpp (1.43), "Exp", lines: +1 -1
		plugins/scimlauncher/scimlauncher.h (1.18), "Exp", lines: +1 -1
		plugins/setupwindow/configskimplugins.cpp (1.9), "Exp", lines: +1 -1
		plugins/setupwindow/configskimplugins.h (1.5), "Exp", lines: +1 -1
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.17), "Exp", lines: +1 -1
		plugins/setupwindow/scimglobalconfigplugin.h (1.10), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.26), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.h (1.11), "Exp", lines: +1 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.46), "Exp", lines: +1 -1
		plugins/setupwindow/scimsetupwindow.h (1.20), "Exp", lines: +1 -1
		plugins/setupwindow/scimxsettings.cpp (1.6), "Exp", lines: +1 -1
		plugins/setupwindow/scimxsettings.h (1.5), "Exp", lines: +1 -1
		scim/config/scim_kconfig_config.cpp (1.17), "Exp", lines: +1 -1
		src/main.cpp (1.57), "Exp", lines: +2 -2
		src/scimhelpdialog.cpp (1.5), "Exp", lines: +1 -1
		src/scimhelpdialog.h (1.5), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.51), "Exp", lines: +1 -1
		src/skimglobalactions.h (1.29), "Exp", lines: +1 -1
		src/skimkeygrabber.cpp (1.14), "Exp", lines: +1 -1
		src/skimkeygrabber.h (1.10), "Exp", lines: +1 -1
		src/skimplugin.cpp (1.6), "Exp", lines: +1 -1
		src/skimplugin.h (1.6), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.47), "Exp", lines: +1 -1
		src/skimpluginmanager.h (1.18), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.80), "Exp", lines: +2 -2
		src/socketserverthread.h (1.59), "Exp", lines: +1 -1
		utils/kautocmodule.cpp (1.8), "Exp", lines: +1 -1
		utils/kautocmodule.h (1.5), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.48), "Exp", lines: +1 -1
		utils/scimactions.h (1.32), "Exp", lines: +1 -1
		utils/scimdragableframe.cpp (1.11), "Exp", lines: +1 -1
		utils/scimdragableframe.h (1.9), "Exp", lines: +1 -1
		utils/scimmovehandle.cpp (1.8), "Exp", lines: +1 -1
		utils/scimmovehandle.h (1.8), "Exp", lines: +1 -1
		utils/scimtoolbar.cpp (1.12), "Exp", lines: +1 -1
		utils/scimtoolbar.h (1.8), "Exp", lines: +1 -1
		utils/scimxmlguibuilder.cpp (1.8), "Exp", lines: +1 -1
		utils/scimxmlguibuilder.h (1.6), "Exp", lines: +1 -1
		utils/skimplugininfo.cpp (1.2), "Exp", lines: +1 -1
		utils/skimplugininfo.h (1.2), "Exp", lines: +1 -1

	updated copyright year
	
2006-01-30 05:18  tag skim_1_4_4

2006-01-30 05:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.115), "Exp", lines: +158 -76
		NEWS (1.32), "Exp", lines: +1 -0

	updated extra doc
	
2006-01-30 05:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.114), "Exp", lines: +108 -0
		NEWS (1.31), "Exp", lines: +9 -0
		SConstruct (1.19), "Exp", lines: +1 -1
		TODO (1.98), "Exp", lines: +0 -5
		configure.in.in (1.65), "Exp", lines: +1 -1
		doc/en/index.docbook (1.62), "Exp", lines: +1 -1
		po/ja.po (1.45), "Exp", lines: +14 -230

	pump to 1.4.4
	updated ja translation
	
2006-01-30 05:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.48), "Exp", lines: +1 -1

	Show_Factory_Text = true by default: so that users can distinguish between compose keyboard and none-activated mode
	
2006-01-29 16:44  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		utils/skimplugininfo.cpp (1.1)
		utils/skimplugininfo.h (1.1)
	Changed:
		TODO (1.97), "Exp", lines: +3 -0
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.8), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.15), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.18), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.13), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.18), "Exp", lines: +2 -0
		plugins/mainwindow/mainwindow.cpp (1.92), "Exp", lines: +7 -6
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.19), "Exp", lines: +3 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.20), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.15), "Exp", lines: +2 -0
		plugins/setupwindow/configskimplugins.cpp (1.8), "Exp", lines: +15 -14
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.20), "Exp", lines: +2 -0
		plugins/setupwindow/scimsetupwindow.cpp (1.45), "Exp", lines: +6 -6
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.19), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.22), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.21), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.18), "Exp", lines: +4 -0
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.6), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.7), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.7), "Exp", lines: +1 -0
		po/de.po (1.38), "Exp", lines: +27 -16
		po/desktop.pot (1.39), "Exp", lines: +1 -1
		po/desktop_pa.po (1.2), "Exp", lines: +3 -3
		po/fr.po (1.23), "Exp", lines: +27 -16
		po/it.po (1.23), "Exp", lines: +27 -16
		po/ja.po (1.44), "Exp", lines: +27 -16
		po/ko.po (1.39), "Exp", lines: +27 -16
		po/pa.po (1.2), "Exp", lines: +76 -51
		po/skim.pot (1.44), "Exp", lines: +26 -16
		po/zh_CN.po (1.50), "Exp", lines: +32 -25
		po/zh_TW.po (1.29), "Exp", lines: +27 -16
		src/main.cpp (1.56), "Exp", lines: +9 -5
		src/skim.desktop (1.17), "Exp", lines: +2 -0
		src/skimkcmplugin.desktop (1.12), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.14), "Exp", lines: +1 -0
		src/skimpluginmanager.cpp (1.46), "Exp", lines: +118 -120
		src/skimpluginmanager.h (1.17), "Exp", lines: +6 -6
		src/skimui.desktop (1.11), "Exp", lines: +1 -0
		utils/Makefile.am (1.13), "Exp", lines: +4 -1
		utils/SConscript (1.4), "Exp", lines: +1 -1

	added SkimPluginInfo class and rework pluginmanager: pluginsetup window can not be disabled (because its NoDisplay=true)
	updated all desktop files to add pa translation
	updated zh_CN
	
2006-01-29 10:59  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.41), "Exp", lines: +2 -0

	added a tooltip for the systray icon
	
2006-01-29 09:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.91), "Exp", lines: +2 -2

	fixed: when activating Europen Keyboard (and any other IM without extra properties), mainwindow does not show up
	
2006-01-29 09:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.cpp (1.79), "Exp", lines: +2 -2

	cleanup
	
2006-01-13 08:08  James Su <suzhe@tsinghua.org.cn>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.42), "Exp", lines: +5 -1

	Use kconfig by default.
	
2006-01-05 00:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.50), "Exp", lines: +6 -2

	do not display empty icons in popup property menus
	
2006-01-02 19:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.25), "Exp", lines: +15 -11

	fixed filter saving bugs: only IME with shortcuts could be saved properly
	
2005-11-12 04:47  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/desktop_pa.po (1.1)
		po/pa.po (1.1)

	added pa translation, thanks to Amanpreet Singh Alam
	
2005-11-11 02:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.96), "Exp", lines: +6 -0
		plugins/mainwindow/mainwindow.cpp (1.90), "Exp", lines: +3 -4
		utils/scimactions.cpp (1.47), "Exp", lines: +0 -1

	cleanup
	
2005-11-11 02:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/SConscript (1.3), "Exp", lines: +3 -1

	fixed kde 3.3 compatibility issue when installing headers
	
2005-11-05 17:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/systemtrayplugin.cpp (1.9), "Exp", lines: +0 -6
		src/skimpluginmanager.cpp (1.45), "Exp", lines: +49 -51
		utils/scimactions.cpp (1.46), "Exp", lines: +1 -0

	Fixed: loaded plugins should not be set as enabled plugin by the pluginmanager; cleanup
	
2005-11-05 02:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.49), "Exp", lines: +30 -12
		src/skimplugin.h (1.5), "Exp", lines: +0 -11
		src/skimpluginmanager.cpp (1.44), "Exp", lines: +2 -2
		utils/scimactions.cpp (1.45), "Exp", lines: +8 -60
		utils/scimactions.h (1.31), "Exp", lines: +1 -9

	cleanup/optimize iconset/pixmap uses
	
2005-11-03 15:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.94), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.24), "Exp", lines: +4 -11
		plugins/setupwindow/scimimenginesettings.h (1.10), "Exp", lines: +2 -5
		src/skimglobalactions.cpp (1.48), "Exp", lines: +3 -3

	cleanup of pixmap/iconset use in scimimenginesettings.cpp
	
2005-11-03 15:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.43), "Exp", lines: +4 -2

	Fixed: -f option
	
2005-11-03 02:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.113), "Exp", lines: +16 -0
		TODO (1.93), "Exp", lines: +6 -0
		plugins/setupwindow/scimimenginesettings.cpp (1.23), "Exp", lines: +1 -1

	Fixed: ComposeKeyFactory name is handled incorrectly
	
========================Migrated to cvs2cl.pl========================
cvs2cl.pl -P --gmt -t -T --summary --no-wrap -S -U developers --accum

2005-10-30 23:37  tag skim_1_4_3

2005-10-30 23:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.30), "Exp", lines: +6 -0

	updated NEWS
	
2005-10-30 23:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.112), "Exp", lines: +946 -767
		SConstruct (1.18), "Exp", lines: +1 -1
		doc/en/index.docbook (1.61), "Exp", lines: +2 -2

	1.4.3 is ready
	
2005-10-08 00:59  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.92), "Exp", lines: +0 -4
		plugins/kdetraystatus/systemtrayplugin.cpp (1.8), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.44), "Exp", lines: +10 -6
		utils/scimxmlguibuilder.cpp (1.7), "Exp", lines: +2 -0

	cleanup
	
2005-10-08 00:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.47), "Exp", lines: +3 -3
		utils/scimactions.h (1.30), "Exp", lines: +1 -0

	use scimaction instead of kaction
	
2005-10-07 01:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/compositemanagerconfig.cpp (1.5), "Exp", lines: +2 -2

	fix mis-replaced plugin loading info
	
2005-10-07 01:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.91), "Exp", lines: +4 -0
		src/skimglobalactions.cpp (1.46), "Exp", lines: +1 -1

	fixed: scim-setup can not be started
	
2005-10-06 13:02  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.15), "Exp", lines: +0 -14

	removed useless include files
	
2005-09-24 11:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/Makefile.am (1.13), "Exp", lines: +6 -5
		po/de.po (1.37), "Exp", lines: +59 -36
		po/desktop.pot (1.38), "Exp", lines: +1 -1
		po/fr.po (1.22), "Exp", lines: +48 -30
		po/it.po (1.22), "Exp", lines: +48 -30
		po/ja.po (1.43), "Exp", lines: +50 -31
		po/ko.po (1.38), "Exp", lines: +46 -28
		po/skim.pot (1.43), "Exp", lines: +46 -28
		po/zh_CN.po (1.49), "Exp", lines: +53 -31
		po/zh_TW.po (1.28), "Exp", lines: +46 -28
		src/main.cpp (1.55), "Exp", lines: +2 -2

	updated about info a bit and updated strings (zh_CN)
	
2005-09-16 16:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/qt4.py (1.4), "Exp", lines: +20 -17

	updated po file handling (again)
	
2005-09-15 17:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/scim-panel-kde.in (1.2), "Exp", lines: +1 -1

	/bin/sh is more generic than /bin/bash
	
2005-09-13 19:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/qt4.py (1.3), "Exp", lines: +4 -19

	updated handling of ui files
	
2005-09-12 13:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/qt4.py (1.2), "Exp", lines: +2 -0

	added MSGFMT in qt4.py
	
2005-09-12 13:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.17), "Exp", lines: +5 -5

	moved Add_define to libscim.py module
	
2005-09-12 13:20  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		bksys/qt4.py (1.1)
	Changed:
		SConstruct (1.16), "Exp", lines: +1 -1
		bksys/generic.py (1.13), "Exp", lines: +358 -185
		bksys/kde.py (1.14), "Exp", lines: +2 -2
		bksys/libscim.py (1.4), "Exp", lines: +7 -1
		bksys/pkg.py (1.8), "Exp", lines: +20 -10

	updated bksys and incorporated qt4 module of bksys
	
2005-08-30 23:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/compmgrclient.cpp (1.5), "Exp", lines: +13 -13
		plugins/compmgrclient/compmgrclient.h (1.4), "Exp", lines: +4 -4
		plugins/compmgrclient/compositemanagerconfig.cpp (1.4), "Exp", lines: +34 -34
		plugins/compmgrclient/compositemanagerconfig.h (1.3), "Exp", lines: +2 -2
		plugins/inputwindow/configinputwindow.h (1.4), "Exp", lines: +3 -3
		plugins/inputwindow/inputwindow.cpp (1.72), "Exp", lines: +100 -100
		plugins/inputwindow/inputwindow.h (1.40), "Exp", lines: +11 -14
		plugins/kdetraystatus/kcmloader.cpp (1.6), "Exp", lines: +0 -6
		plugins/kdetraystatus/kcmloader.h (1.6), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.40), "Exp", lines: +13 -13
		plugins/kdetraystatus/kdetraystatus.h (1.15), "Exp", lines: +5 -3
		plugins/kdetraystatus/systemtrayplugin.cpp (1.7), "Exp", lines: +3 -3
		plugins/kdetraystatus/systemtrayplugin.h (1.4), "Exp", lines: +1 -1
		plugins/mainwindow/configmainwindow.cpp (1.9), "Exp", lines: +10 -10
		plugins/mainwindow/configmainwindow.h (1.5), "Exp", lines: +2 -2
		plugins/mainwindow/mainwindow.cpp (1.89), "Exp", lines: +223 -223
		plugins/mainwindow/mainwindow.h (1.43), "Exp", lines: +35 -36
		plugins/mainwindow/applet/skimapplet.cpp (1.15), "Exp", lines: +20 -20
		plugins/mainwindow/applet/skimapplet.h (1.9), "Exp", lines: +4 -4
		plugins/scimlauncher/scimlauncher.cpp (1.41), "Exp", lines: +15 -15
		plugins/scimlauncher/scimlauncher.h (1.17), "Exp", lines: +4 -4
		plugins/setupwindow/configskimplugins.h (1.4), "Exp", lines: +7 -12
		plugins/setupwindow/scimattachfilter.h (1.5), "Exp", lines: +0 -1
		plugins/setupwindow/scimglobalconfigplugin.h (1.9), "Exp", lines: +0 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.22), "Exp", lines: +8 -8
		plugins/setupwindow/scimimenginesettings.h (1.9), "Exp", lines: +2 -2
		plugins/setupwindow/scimsetupwindow.cpp (1.44), "Exp", lines: +10 -10
		plugins/setupwindow/scimsetupwindow.h (1.19), "Exp", lines: +2 -2
		src/scimhelpdialog.cpp (1.4), "Exp", lines: +6 -10
		src/scimhelpdialog.h (1.4), "Exp", lines: +4 -6
		src/skimglobalactions.cpp (1.45), "Exp", lines: +116 -120
		src/skimglobalactions.h (1.28), "Exp", lines: +19 -21
		src/skimplugin.h (1.4), "Exp", lines: +6 -13
		src/skimpluginmanager.cpp (1.42), "Exp", lines: +10 -10
		src/skimpluginmanager.h (1.16), "Exp", lines: +4 -4
		src/socketserverthread.cpp (1.78), "Exp", lines: +84 -84
		src/socketserverthread.h (1.58), "Exp", lines: +15 -16
		utils/scimactions.cpp (1.43), "Exp", lines: +1 -4

	refine source code: class variable members begin with m_ (part 2)
	
2005-08-29 02:19  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.cpp (1.28), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.88), "Exp", lines: +3 -3
		src/skimkeygrabber.cpp (1.13), "Exp", lines: +103 -102
		src/skimkeygrabber.h (1.9), "Exp", lines: +17 -17
		utils/scimactions.cpp (1.42), "Exp", lines: +95 -92
		utils/scimactions.h (1.29), "Exp", lines: +20 -22
		utils/scimdragableframe.cpp (1.10), "Exp", lines: +20 -20
		utils/scimdragableframe.h (1.8), "Exp", lines: +9 -9
		utils/scimmovehandle.h (1.7), "Exp", lines: +0 -1
		utils/scimtoolbar.cpp (1.11), "Exp", lines: +2 -2
		utils/scimtoolbar.h (1.7), "Exp", lines: +1 -1
		utils/scimxmlguibuilder.cpp (1.6), "Exp", lines: +3 -3
		utils/scimxmlguibuilder.h (1.5), "Exp", lines: +1 -12

	refine source code: class variable members begin with m_
	
2005-08-28 23:37  tag skim_1_4_2

2005-08-28 23:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.111), "Exp", lines: +7 -0
		NEWS (1.29), "Exp", lines: +7 -0
		doc/en/index.docbook (1.60), "Exp", lines: +1 -1

	1.4.2 is ready
	
2005-08-22 19:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.110), "Exp", lines: +6043 -4497

	use cvs2cl.pl (http://www.red-bean.com/cvs2cl/) to generate ChangeLog file
	
2005-08-20 13:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.15), "Exp", lines: +1 -1

	use KDEINCLUDE dir instead of prefix/include, as in some distros (such as debian), that's not the case
	
2005-08-20 12:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.87), "Exp", lines: +2 -0

	update properties when toggle docking mode
	
2005-08-16 15:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.109), "Exp", lines: +24 -0
		SConstruct (1.14), "Exp", lines: +1 -1
		configure.in.in (1.64), "Exp", lines: +1 -1

	1.4.2 only requires scim >=1.3.3
	
2005-08-16 15:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/attachfilteruibase.ui (1.4), "Exp", lines: +69 -56
		plugins/setupwindow/scimattachfilter.cpp (1.6), "Exp", lines: +46 -0
		plugins/setupwindow/scimattachfilter.h (1.4), "Exp", lines: +2 -0

	added move up/down button in filter config dialog
	
2005-08-16 13:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.13), "Exp", lines: +2 -2
		configure.in.in (1.63), "Exp", lines: +2 -2

	1.4.2 (requires scim >= 1.4.2)
	
2005-08-16 13:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.21), "Exp", lines: +7 -0

	list ComposeKeyFactory in IMEngine setup dialog
	
2005-08-10 21:01  tag skim_1_4_1

2005-08-10 21:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.108), "Exp", lines: +73 -0
		NEWS (1.28), "Exp", lines: +5 -0
		SConstruct (1.12), "Exp", lines: +1 -1
		TODO (1.90), "Exp", lines: +1 -1
		configure.in.in (1.62), "Exp", lines: +1 -1
		doc/en/index.docbook (1.59), "Exp", lines: +1 -1

	1.4.1 is ready
	
2005-08-10 16:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/SConscript (1.5), "Exp", lines: +6 -3

	link against all necessary libs
	
2005-08-10 16:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.11), "Exp", lines: +1 -1

	fixed: libdir manipulation
	
2005-08-03 17:44  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.14), "Exp", lines: +9 -2

	embeded area should not contain the area of the move handler
	
2005-08-03 17:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.86), "Exp", lines: +18 -5
		plugins/mainwindow/mainwindow.h (1.42), "Exp", lines: +1 -0
		plugins/mainwindow/applet/skimapplet.cpp (1.13), "Exp", lines: +0 -15
		plugins/mainwindow/applet/skimapplet.h (1.8), "Exp", lines: +0 -1

	fixed: placement when embedded in kicker
	
2005-08-03 01:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.85), "Exp", lines: +1 -0

	adjustSize after shown in kicker
	
2005-07-18 19:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/pkg.py (1.7), "Exp", lines: +2 -2

	fixed: PKG_CONFIG_PATH variable handling
	
2005-07-17 17:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		README (1.16), "Exp", lines: +2 -0

	more info about howto clean source tree before recompiling
	
2005-07-17 17:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.89), "Exp", lines: +2 -3

	updated TODO file
	
2005-07-14 13:07  tag skim_1_4_0

2005-07-14 13:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.107), "Exp", lines: +120 -0
		NEWS (1.27), "Exp", lines: +4 -0
		SConstruct (1.10), "Exp", lines: +1 -1
		configure.in.in (1.61), "Exp", lines: +1 -1
		doc/en/index.docbook (1.58), "Exp", lines: +1 -1

	1.4.0 is ready
	
2005-07-14 13:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.12), "Exp", lines: +2 -0

	fixed: when DESTDIR is empty, files are not installed properly
	
2005-07-14 12:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.11), "Exp", lines: +5 -0

	fixed: bksys: generated la file can not be linked by libtool
	
2005-07-12 16:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		skim.spec.in (1.6), "Exp", lines: +80 -46

	updated spec.in based on Jens Petersen's spec file for redhat
	
2005-07-12 14:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.13), "Exp", lines: +6 -5
		bksys/libscim.py (1.3), "Exp", lines: +1 -0

	fixed include dir issue
	
2005-07-12 13:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.12), "Exp", lines: +5 -1

	handle png file as well
	
2005-07-12 02:19  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.10), "Exp", lines: +1 -1
		bksys/pkg.py (1.6), "Exp", lines: +1 -1

	fixed DESTDIR and pcfile_path support
	
2005-07-12 01:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/pkg.py (1.5), "Exp", lines: +4 -7

	libdir/pkgconfig as the default pcfile_path
	
2005-07-11 22:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.9), "Exp", lines: +6 -6
		bksys/kde.py (1.11), "Exp", lines: +9 -18

	use os.path.join instead of /
	
2005-07-11 21:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/pkg.py (1.4), "Exp", lines: +5 -1

	append /usr/local/lib/pkg-config to PKG_CONFIG_PATH
	
2005-07-11 21:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.9), "Exp", lines: +2 -7
		bksys/pkg.py (1.3), "Exp", lines: +16 -4

	added libsuffix support and refined pcfile_path handling
	
2005-07-11 20:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.8), "Exp", lines: +1 -1
		src/SConscript (1.4), "Exp", lines: +1 -1

	use more reliable so files rather than la files
	
2005-07-11 20:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.8), "Exp", lines: +3 -9

	cleanup
	
2005-07-11 19:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/SConscript (1.3), "Exp", lines: +3 -3

	do not install kdex.dtd
	
2005-07-11 19:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.7), "Exp", lines: +26 -10
		bksys/kde.py (1.10), "Exp", lines: +1 -1

	link against libname.so.major rather than libname.so
	
2005-07-11 18:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.6), "Exp", lines: +7 -3

	fixed dlname in la files
	
2005-07-11 16:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.7), "Exp", lines: +6 -1
		bksys/pkg.py (1.2), "Exp", lines: +8 -0

	added a pcfile_path option to pkg.py module
	
2005-07-11 12:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.36), "Exp", lines: +9 -17
		po/ja.po (1.42), "Exp", lines: +8 -10

	updated ja and de
	
2005-07-10 19:48  tag skim_1_3_3

2005-07-10 19:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/SConscript (1.2), "Exp", lines: +1 -0

	install skim utils header files
	
2005-07-10 19:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure (1.4), "Exp", lines: +1 -0

	output message when configure that bundled scons is used
	
2005-07-10 19:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.106), "Exp", lines: +133 -636
		NEWS (1.26), "Exp", lines: +4 -0
		SConstruct (1.6), "Exp", lines: +1 -1
		configure.in.in (1.60), "Exp", lines: +1 -1
		doc/en/index.docbook (1.57), "Exp", lines: +2 -2

	version 1.3.3 is ready
	
2005-07-10 13:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.9), "Exp", lines: +1 -1

	fixed: icon issue
	
2005-07-10 03:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/SConscript (1.2), "Exp", lines: +4 -0

	install kdex.dtd
	
2005-07-10 03:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.8), "Exp", lines: +1 -1
		src/SConscript (1.3), "Exp", lines: +1 -1

	fixed: bksys: KDEicon only install the first found icon
	
2005-07-10 00:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/SConscript (1.2), "Exp", lines: +2 -2

	fixed: autostart desktop install dir
	
2005-07-10 00:41  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/mainwindow/applet/SConscript (1.1)
	Changed:
		plugins/mainwindow/applet/.cvsignore (1.2), "Exp", lines: +1 -1

	plugins/mainwindow/applet/
	
2005-07-10 00:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.5), "Exp", lines: +3 -2

	correct version handle; added subdir applet back
	
2005-07-10 00:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		icons/SConscript (1.2), "Exp", lines: +1 -1

	added a missing icon
	
2005-07-10 00:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/SConscript (1.2), "Exp", lines: +5 -2

	install mainwindowui.rc
	
2005-07-10 00:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.7), "Exp", lines: +4 -0

	handle png file as well
	
2005-07-09 13:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.6), "Exp", lines: +2 -0
		po/SConscript (1.4), "Exp", lines: +2 -1

	fixed: install *.mo not *.gmo
	
2005-07-09 13:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/SConscript (1.3), "Exp", lines: +1 -1

	fixed: install mo file into LC_MESSAGES/skim, not LC_MESSAGES/skim.mo
	
2005-07-09 12:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/SConscript (1.2), "Exp", lines: +1 -1

	fixed: KDEinstallas -> KDEinstall
	
2005-07-08 23:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.5), "Exp", lines: +8 -11
		bksys/kde.py (1.5), "Exp", lines: +20 -16

	updated bksys: official DESTDIR support and specific installing of translation support
	
2005-07-08 20:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/generic.py (1.4), "Exp", lines: +1 -1
		bksys/kde.py (1.4), "Exp", lines: +4 -3

	updated bksys to fix permission issue
	
2005-07-08 16:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/kde.py (1.3), "Exp", lines: +2 -1

	fixed DESTDIR support in bksys
	
2005-07-08 15:59  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bksys/libscim.py (1.2), "Exp", lines: +1 -1

	do not append lib to kconfig
	
2005-07-07 20:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.4), "Exp", lines: +1 -4
		bksys/generic.py (1.2), "Exp", lines: +52 -12
		bksys/kde.py (1.2), "Exp", lines: +11 -2

	updated to latest bksys-1.2.7-pre3-patch
	
2005-07-07 20:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		README (1.15), "Exp", lines: +3 -0

	howto use DESTDIR
	
2005-07-07 13:54  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		SConstruct (1.3), "Exp", lines: +4 -1

	set the same access mode of the generated file as the source
	
2005-07-07 00:58  tag skim_1_3_2

2005-07-07 00:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.105), "Exp", lines: +65 -0
		INSTALL (1.2), "Exp", lines: +1 -167
		NEWS (1.25), "Exp", lines: +7 -0
		README (1.14), "Exp", lines: +3 -1
		SConstruct (1.2), "Exp", lines: +1 -1
		configure.in.in (1.58), "Exp", lines: +1 -1

	require scim>=1.3.3
	updated help doc for skim 1.3.2 and bksys
	
2005-07-07 00:38  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		bksys/.cvsignore (1.1)
		bksys/scons-mini.tar.bz2 (1.1)
	Changed:
		configure (1.3), "Exp", lines: +64 -26820

	added some missing files
	
2005-07-07 00:29  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		bootstrap (1.12)
	Added:
		SConstruct (1.1)
		bootstrap.make (1.1)
		bksys/generic.py (1.1)
		bksys/kde.py (1.1)
		bksys/libscim.py (1.1)
		bksys/libskim.py (1.1)
		bksys/pkg.py (1.1)
		doc/SConscript (1.1)
		icons/SConscript (1.1)
		plugins/compmgrclient/SConscript (1.1)
		plugins/inputwindow/SConscript (1.1)
		plugins/kdetraystatus/SConscript (1.1)
		plugins/mainwindow/SConscript (1.1)
		plugins/scimlauncher/SConscript (1.1)
		plugins/setupwindow/SConscript (1.1)
		po/SConscript (1.1)
		scim/config/SConscript (1.1)
		src/SConscript (1.1)
		utils/SConscript (1.1)
	Changed:
		.cvsignore (1.12), "Exp", lines: +0 -1
		README (1.13), "Exp", lines: +13 -4
		po/Makefile.am (1.12), "Exp", lines: +24 -0

	migrated to bksys
	
2005-07-06 16:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.104), "Exp", lines: +112 -0
		Makefile.am (1.6), "Exp", lines: +1 -1
		configure.in.in (1.57), "Exp", lines: +2 -2
		doc/en/index.docbook (1.56), "Exp", lines: +2 -2
		po/zh_CN.po (1.48), "Exp", lines: +9 -15
		src/skim.desktop (1.16), "Exp", lines: +1 -0

	updated help doc; pumped to 1.3.2
	
2005-07-02 00:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.8), "Exp", lines: +1 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.17), "Exp", lines: +1 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.17), "Exp", lines: +1 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.19), "Exp", lines: +1 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.19), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.18), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.21), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.20), "Exp", lines: +1 -0

	added docpath so that handbook can be accessed in the help dialog
	
2005-07-02 00:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimstringrender.cpp (1.14), "Exp", lines: +2 -0

	honor the color of the text in current kde color theme
	
2005-06-28 23:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.14), "Exp", lines: +36 -25
		po/de.po (1.35), "Exp", lines: +80 -67
		po/desktop.pot (1.37), "Exp", lines: +1 -1
		po/fr.po (1.21), "Exp", lines: +80 -67
		po/it.po (1.21), "Exp", lines: +80 -67
		po/ja.po (1.41), "Exp", lines: +80 -67
		po/ko.po (1.37), "Exp", lines: +73 -65
		po/skim.pot (1.42), "Exp", lines: +73 -65
		po/zh_CN.po (1.47), "Exp", lines: +80 -67
		po/zh_TW.po (1.27), "Exp", lines: +73 -65
		utils/scimkdeconfig.kcfg (1.47), "Exp", lines: +6 -1

	added share input method support
	
2005-06-26 16:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.40), "Exp", lines: +1 -2
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.16), "Exp", lines: +2 -0

	cleanup
	
2005-06-26 00:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/compmgrclient.cpp (1.4), "Exp", lines: +0 -2

	cleanup
	
2005-06-25 23:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ja.po (1.40), "Exp", lines: +21 -30

	updated ja
	
2005-06-25 18:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.34), "Exp", lines: +59 -91
		po/desktop.pot (1.36), "Exp", lines: +1 -1
		po/desktop_de.po (1.19), "Exp", lines: +1 -1
		po/skim.pot (1.41), "Exp", lines: +1 -1
		po/zh_CN.po (1.46), "Exp", lines: +5 -4

	updated de
	
2005-06-24 17:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.h (1.22), "Exp", lines: +3 -0
		plugins/inputwindow/scimstringlistitem.h (1.15), "Exp", lines: +2 -0
		plugins/inputwindow/scimstringrender.h (1.8), "Exp", lines: +2 -0
		src/skimpluginmanager.cpp (1.41), "Exp", lines: +3 -0
		src/socketserverthread.cpp (1.77), "Exp", lines: +2 -0

	cleanup
	
2005-06-20 05:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.45), "Exp", lines: +2 -2

	typo in zh_CN
	
2005-06-17 23:04  tag skim_1_3_1

2005-06-17 23:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.56), "Exp", lines: +1 -1

	requires scim >= 1.3.1
	
2005-06-17 23:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.24), "Exp", lines: +13 -0

	1.3.1 is ready for releasing
	
2005-06-17 23:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.16), "Exp", lines: +5 -1

	added back config.h
	
2005-06-17 01:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.88), "Exp", lines: +1 -0

	updated TODO
	
2005-06-17 01:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.33), "Exp", lines: +104 -88
		po/desktop.pot (1.35), "Exp", lines: +1 -1
		po/fr.po (1.20), "Exp", lines: +104 -88
		po/it.po (1.20), "Exp", lines: +104 -88
		po/ja.po (1.39), "Exp", lines: +104 -88
		po/ko.po (1.36), "Exp", lines: +103 -89
		po/skim.pot (1.40), "Exp", lines: +100 -86
		po/zh_CN.po (1.44), "Exp", lines: +103 -89
		po/zh_TW.po (1.26), "Exp", lines: +103 -89

	updated string and zh_CN
	
2005-06-17 00:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.103), "Exp", lines: +331 -0
		doc/en/index.docbook (1.55), "Exp", lines: +1 -1

	updated ChangeLog and en doc for release 1.3.1
	
2005-06-16 01:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.46), "Exp", lines: +1 -1

	dynamic event is default true now
	
2005-06-16 01:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.39), "Exp", lines: +2 -0
		scim/config/scim_kconfig_config.cpp (1.15), "Exp", lines: +1 -3

	cleanup
	
2005-06-13 03:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.54), "Exp", lines: +0 -3
		src/socketserverthread.cpp (1.76), "Exp", lines: +20 -1
		src/socketserverthread.h (1.57), "Exp", lines: +9 -0

	added transaction_start transaction_end support; cleanup
	
2005-06-12 12:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimxmlguibuilder.cpp (1.5), "Exp", lines: +2 -1

	fixed a potential crash
	
2005-06-12 12:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.45), "Exp", lines: +5 -0

	added an option kcfg_LookupTable_MinimumWidth
	
2005-06-12 12:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/configinputwindow.cpp (1.6), "Exp", lines: +2 -0
		plugins/inputwindow/inputwindow.cpp (1.71), "Exp", lines: +41 -6
		plugins/inputwindow/inputwindow.h (1.39), "Exp", lines: +3 -0
		plugins/inputwindow/inputwindow_settings.ui (1.7), "Exp", lines: +23 -7

	improvement: refined the actionlist manipulation mechanism; added an option kcfg_LookupTable_MinimumWidth
	
2005-06-12 00:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.38), "Exp", lines: +2 -13

	fixed icon size issue
	
2005-06-12 00:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.84), "Exp", lines: +77 -30
		plugins/mainwindow/mainwindow.h (1.41), "Exp", lines: +3 -0

	improvement: use transaction start/end signal to improve the performance of mainwindow
	
2005-06-11 13:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.70), "Exp", lines: +13 -8
		plugins/inputwindow/inputwindow.h (1.38), "Exp", lines: +1 -0
		plugins/inputwindow/scimlineedit.cpp (1.20), "Exp", lines: +5 -2
		plugins/inputwindow/scimstringrender.cpp (1.13), "Exp", lines: +31 -24

	improvement: performance of inputwindow; fixed: crash
	
2005-06-11 02:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.69), "Exp", lines: +52 -47
		plugins/inputwindow/inputwindow.h (1.37), "Exp", lines: +1 -2

	fixed: input window components are hidden in unproper occasion
	
2005-06-10 22:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.68), "Exp", lines: +13 -16

	fixed: flitter of detached lookuptable; cleanup
	
2005-06-10 14:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		AUTHORS (1.9.2.1), "Exp", lines: +2 -1

	my name alias ;)
	
2005-06-10 14:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		AUTHORS (1.10), "Exp", lines: +2 -1

	my name alias ;)
	
2005-06-10 11:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.26.2.12), "Exp", lines: +12 -8
		utils/scimactions.h (1.20.2.6), "Exp", lines: +3 -1

	fixed: sizeHint calculation of skimtoolbutton
	
2005-06-10 11:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.41), "Exp", lines: +12 -8
		utils/scimactions.h (1.28), "Exp", lines: +3 -1

	fixed: sizeHint calculation of skimtoolbutton
	
2005-06-10 11:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.43), "Exp", lines: +2 -2

	typo in zh_CN
	
2005-06-08 23:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		README (1.12), "Exp", lines: +2 -0
		configure.in.in (1.55), "Exp", lines: +1 -1

	pumped to 1.3.1
	
2005-06-08 23:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.32), "Exp", lines: +2 -2
		po/desktop.pot (1.34), "Exp", lines: +9 -1
		po/desktop_de.po (1.18), "Exp", lines: +8 -6
		po/desktop_fr.po (1.14), "Exp", lines: +8 -6
		po/desktop_it.po (1.14), "Exp", lines: +8 -6
		po/desktop_ja.po (1.16), "Exp", lines: +8 -6
		po/desktop_ko.po (1.16), "Exp", lines: +7 -5
		po/desktop_zh_CN.po (1.15), "Exp", lines: +8 -6
		po/desktop_zh_TW.po (1.13), "Exp", lines: +7 -5
		po/fr.po (1.19), "Exp", lines: +2 -2
		po/it.po (1.19), "Exp", lines: +2 -2
		po/ja.po (1.38), "Exp", lines: +2 -2
		po/ko.po (1.35), "Exp", lines: +2 -2
		po/skim.pot (1.39), "Exp", lines: +2 -2
		po/zh_CN.po (1.42), "Exp", lines: +16 -25
		po/zh_TW.po (1.25), "Exp", lines: +2 -2
		utils/scimkdeconfig.kcfg (1.44), "Exp", lines: +1 -1

	typo and updated zh_CN
	
2005-06-08 19:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.87), "Exp", lines: +0 -4
		po/de.po (1.31), "Exp", lines: +80 -22
		po/desktop.pot (1.33), "Exp", lines: +1 -9
		po/desktop_de.po (1.17), "Exp", lines: +6 -8
		po/desktop_fr.po (1.13), "Exp", lines: +6 -8
		po/desktop_it.po (1.13), "Exp", lines: +10 -11
		po/desktop_ja.po (1.15), "Exp", lines: +6 -8
		po/desktop_ko.po (1.15), "Exp", lines: +5 -7
		po/desktop_zh_CN.po (1.14), "Exp", lines: +6 -8
		po/desktop_zh_TW.po (1.12), "Exp", lines: +5 -7
		po/fr.po (1.18), "Exp", lines: +80 -19
		po/it.po (1.18), "Exp", lines: +79 -22
		po/ja.po (1.37), "Exp", lines: +80 -22
		po/ko.po (1.34), "Exp", lines: +74 -22
		po/skim.pot (1.38), "Exp", lines: +69 -19
		po/zh_CN.po (1.41), "Exp", lines: +79 -19
		po/zh_TW.po (1.24), "Exp", lines: +74 -19
		utils/scimkdeconfig.kcfg (1.43), "Exp", lines: +11 -1

	TODO list for 1.4.0 is empty now ;) more whatsthis
	
2005-06-08 18:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_x.ui (1.14), "Exp", lines: +8 -0
		utils/scimkdeconfig.kcfg (1.42), "Exp", lines: +5 -0

	added back option _FrontEnd_X11_Dynamic
	
2005-06-07 21:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.86), "Exp", lines: +1 -2
		plugins/mainwindow/mainwindow.cpp (1.83), "Exp", lines: +16 -14
		plugins/mainwindow/mainwindow.h (1.40), "Exp", lines: +2 -1
		plugins/mainwindow/mainwindowui.rc (1.4), "Exp", lines: +2 -0
		src/skimglobalactions.cpp (1.44), "Exp", lines: +41 -43
		src/skimglobalactions.h (1.27), "Exp", lines: +7 -4

	separate GUI and Frontend property display area in mainwindow
	
2005-06-05 23:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.7), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.7), "Exp", lines: +1 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.18), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.20), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.5), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.6), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.6), "Exp", lines: +1 -0
		po/desktop_it.po (1.12), "Exp", lines: +17 -24

	updated it
	
2005-06-05 15:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.43), "Exp", lines: +8 -4
		src/socketserverthread.cpp (1.75), "Exp", lines: +0 -1

	cleanup
	
2005-06-05 15:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.30), "Exp", lines: +3 -3
		po/desktop.pot (1.32), "Exp", lines: +1 -1
		po/desktop_fr.po (1.12), "Exp", lines: +14 -29
		po/fr.po (1.17), "Exp", lines: +180 -388
		po/it.po (1.17), "Exp", lines: +169 -170
		po/ja.po (1.36), "Exp", lines: +3 -3
		po/ko.po (1.33), "Exp", lines: +3 -3
		po/skim.pot (1.37), "Exp", lines: +3 -3
		po/zh_CN.po (1.40), "Exp", lines: +7 -6
		po/zh_TW.po (1.23), "Exp", lines: +3 -3
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.6), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.17), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.19), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.4), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.5), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.5), "Exp", lines: +1 -0

	updated fr and it
	
2005-05-31 22:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.85), "Exp", lines: +0 -1
		plugins/setupwindow/scim_global.ui (1.13), "Exp", lines: +1 -1
		po/de.po (1.29), "Exp", lines: +6 -3
		po/desktop.pot (1.31), "Exp", lines: +1 -1
		po/fr.po (1.16), "Exp", lines: +7 -4
		po/it.po (1.16), "Exp", lines: +7 -4
		po/ja.po (1.35), "Exp", lines: +7 -4
		po/ko.po (1.32), "Exp", lines: +7 -4
		po/skim.pot (1.36), "Exp", lines: +2 -2
		po/zh_CN.po (1.39), "Exp", lines: +4 -4
		po/zh_TW.po (1.22), "Exp", lines: +7 -4

	updated a string in scim_global.ui
	
2005-05-31 00:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ja.po (1.34), "Exp", lines: +31 -36

	updated ja
	
2005-05-29 20:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/.cvsignore (1.2), "Exp", lines: +2 -0
		plugins/compmgrclient/compmgrclient.cpp (1.3), "Exp", lines: +48 -22
		plugins/compmgrclient/compmgrclient.h (1.3), "Exp", lines: +4 -2
		plugins/compmgrclient/compositemanagerconfig.cpp (1.3), "Exp", lines: +11 -12
		plugins/inputwindow/inputwindow.cpp (1.67), "Exp", lines: +6 -2
		plugins/inputwindow/scimlookuptable.cpp (1.26), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.82), "Exp", lines: +4 -1
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.18), "Exp", lines: +1 -1
		src/extra_utils.h (1.3), "Exp", lines: +9 -7
		utils/scimkdeconfig.kcfg (1.41), "Exp", lines: +0 -5

	reworked the implementation of transparent window support: now cleaner
	
2005-05-29 20:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.40), "Exp", lines: +34 -0
		src/skimpluginmanager.h (1.15), "Exp", lines: +3 -1

	implemented special property objects list mechanism to support a better approach for transparent window
	
2005-05-29 20:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.28), "Exp", lines: +138 -80
		po/desktop.pot (1.30), "Exp", lines: +1 -1
		po/fr.po (1.15), "Exp", lines: +134 -91
		po/it.po (1.15), "Exp", lines: +134 -91
		po/ja.po (1.33), "Exp", lines: +140 -99
		po/ko.po (1.31), "Exp", lines: +134 -91
		po/skim.pot (1.35), "Exp", lines: +128 -80
		po/zh_CN.po (1.38), "Exp", lines: +131 -83
		po/zh_TW.po (1.21), "Exp", lines: +132 -89

	updated strings and zh_CN
	
2005-05-29 17:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.20), "Exp", lines: +2 -1

	fixed bug #1210850
	
2005-05-29 17:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.81), "Exp", lines: +23 -2
		plugins/mainwindow/mainwindow.h (1.39), "Exp", lines: +1 -0

	use signal from dcopclient to know when kicker is started
	
2005-05-29 17:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.39), "Exp", lines: +13 -10

	do not load any plugins if we should exit
	
2005-05-29 17:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.43), "Exp", lines: +3 -0

	all kcmodules for skimplugin_scim plugin should always be shown
	
2005-05-29 16:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.53), "Exp", lines: +2 -2

	fixed: bug #1210612
	
2005-05-29 16:38  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.27), "Exp", lines: +2 -2
		po/fr.po (1.14), "Exp", lines: +2 -2
		po/it.po (1.14), "Exp", lines: +2 -2
		po/ja.po (1.32), "Exp", lines: +2 -2
		po/ko.po (1.30), "Exp", lines: +2 -2
		po/skim.pot (1.34), "Exp", lines: +2 -2
		po/zh_CN.po (1.37), "Exp", lines: +2 -2
		po/zh_TW.po (1.20), "Exp", lines: +2 -2

	fixed: bug #1210612
	
2005-05-28 23:06  tag skim_1_3_0

2005-05-28 23:06  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.36), "Exp", lines: +18 -23

	updated zh_CN
	
2005-05-28 22:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/configskimplugins.cpp (1.7), "Exp", lines: +1 -0

	fixed: kde 3.3 calls load() in constructor while kde 3.4 doesn't
	
2005-05-28 21:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.102), "Exp", lines: +319 -0
		NEWS (1.23), "Exp", lines: +23 -0
		TODO (1.84), "Exp", lines: +1 -0
		scim_panel_kde.kdevelop (1.20), "Exp", lines: +1 -0

	skim 1.3.0 is ready
	
2005-05-28 19:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.54), "Exp", lines: +1 -0

	added info about xcomposite support in configure output
	
2005-05-28 19:02  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlookuptable.cpp (1.25), "Exp", lines: +1 -0
		src/Makefile.am (1.25), "Exp", lines: +1 -1
		src/extra_utils.h (1.2), "Exp", lines: +6 -3

	checking whether xcomposite is enabled before actually do the job
	
2005-05-28 18:51  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		src/extra_utils.h (1.1)
	Changed:
		plugins/compmgrclient/compmgrclient.cpp (1.2), "Exp", lines: +13 -5
		plugins/compmgrclient/compmgrclient.h (1.2), "Exp", lines: +6 -1
		plugins/inputwindow/inputwindow.cpp (1.66), "Exp", lines: +4 -0
		plugins/inputwindow/scimlookuptable.cpp (1.24), "Exp", lines: +2 -0
		plugins/mainwindow/mainwindow.cpp (1.80), "Exp", lines: +3 -0

	use dcop calls to support tranparent feature
	
2005-05-28 18:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/Makefile.am (1.3), "Exp", lines: +5 -6

	do not install desktop files if xcomposite is missing
	
2005-05-28 16:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimattachfilter.cpp (1.5), "Exp", lines: +15 -1

	display user friendly name of the languages supported by filter
	
2005-05-28 02:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/desktop_ja.po (1.14), "Exp", lines: +2 -2
		po/ja.po (1.31), "Exp", lines: +57 -56

	updated ja
	
2005-05-28 01:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlookuptable.cpp (1.23), "Exp", lines: +3 -0

	when double click the lookuptable, switch mode; only show the ModeSwitchBtn in horizental mode
	
2005-05-28 01:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.40), "Exp", lines: +3 -3

	changed some default value: Show_Factory_Text, Auto_Snap, Enable_Composite
	
2005-05-27 22:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.79), "Exp", lines: +33 -14

	refined docking handling: more robust to kicker exit (using an ugly hack)
	
2005-05-27 17:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.12), "Exp", lines: +3 -10

	fixed: move applet issue when main toolbar is undocked
	
2005-05-26 14:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.26.2.11), "Exp", lines: +92 -24
		utils/scimactions.h (1.20.2.5), "Exp", lines: +15 -3

	merged back HEAD scimaction implementation which fixed some bugs
	
2005-05-26 13:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.26.2.10), "Exp", lines: +2 -2

	fixed: serveraction does not honor: use text option
	
2005-05-26 13:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.28.2.4), "Exp", lines: +1 -0

	fixed: comboaction default icon behavior is scim_kde::ToolBarPreferIcon
	
2005-05-25 22:23  tag skim_1_2_3

2005-05-25 22:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.96.2.4), "Exp", lines: +44 -0
		NEWS (1.18.2.5), "Exp", lines: +8 -0
		configure.in.in (1.43.2.3), "Exp", lines: +1 -1
		doc/en/index.docbook (1.51.2.3), "Exp", lines: +1 -1

	1.2.3 is ready for release
	
2005-05-25 03:38  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/filterinfodlgbase.ui (1.1)
	Changed:
		plugins/setupwindow/Makefile.am (1.22), "Exp", lines: +1 -1
		plugins/setupwindow/attachfilteruibase.ui (1.3), "Exp", lines: +46 -38
		plugins/setupwindow/scimattachfilter.cpp (1.4), "Exp", lines: +41 -0
		plugins/setupwindow/scimattachfilter.h (1.3), "Exp", lines: +2 -0

	more info dialog of filter
	
2005-05-25 02:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.26), "Exp", lines: +228 -81
		po/desktop.pot (1.29), "Exp", lines: +1 -9
		po/desktop_de.po (1.16), "Exp", lines: +15 -13
		po/desktop_file_list (1.9), "Exp", lines: +0 -1
		po/desktop_fr.po (1.11), "Exp", lines: +7 -9
		po/desktop_it.po (1.11), "Exp", lines: +8 -10
		po/desktop_ja.po (1.13), "Exp", lines: +7 -9
		po/desktop_ko.po (1.14), "Exp", lines: +7 -9
		po/desktop_zh_CN.po (1.13), "Exp", lines: +7 -9
		po/desktop_zh_TW.po (1.11), "Exp", lines: +7 -9
		po/fr.po (1.13), "Exp", lines: +163 -66
		po/it.po (1.13), "Exp", lines: +163 -66
		po/ja.po (1.30), "Exp", lines: +184 -77
		po/ko.po (1.29), "Exp", lines: +163 -66
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.5), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.5), "Exp", lines: +1 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.12), "Exp", lines: +2 -2
		po/skim.pot (1.33), "Exp", lines: +155 -62
		po/zh_CN.po (1.35), "Exp", lines: +172 -70
		po/zh_TW.po (1.19), "Exp", lines: +157 -66
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.16), "Exp", lines: +2 -2
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.16), "Exp", lines: +3 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.18), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.17), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.18), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.19), "Exp", lines: +1 -1
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.3), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.4), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.4), "Exp", lines: +1 -0

	updated strings
	
2005-05-25 02:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.53), "Exp", lines: +1 -1

	typo
	
2005-05-24 19:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimstringrender.cpp (1.12), "Exp", lines: +0 -1

	cleanup
	
2005-05-24 17:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.39), "Exp", lines: +9 -3
		plugins/setupwindow/scim_x.ui (1.13), "Exp", lines: +0 -8
		plugins/setupwindow/scim_global.ui (1.12), "Exp", lines: +141 -2

	changed setup ui according to libscim: removed old config options and moved a option from X to frontend global
	
2005-05-24 16:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.19), "Exp", lines: +13 -14

	use latest filtermanager api
	
2005-05-22 00:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.101), "Exp", lines: +2 -9
		TODO (1.83), "Exp", lines: +4 -3

	update helper doc
	
2005-05-22 00:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/attachfilteruibase.ui (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scimattachfilter.cpp (1.3), "Exp", lines: +6 -1
		plugins/setupwindow/scimattachfilter.h (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.18), "Exp", lines: +1 -1

	added meaningful caption for attachfilter dlg
	
2005-05-21 03:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.17), "Exp", lines: +9 -0

	added icon for filter in imengine setup ui
	
2005-05-21 03:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimattachfilter.cpp (1.2), "Exp", lines: +23 -3

	added icon in attachfilter dialog
	
2005-05-21 02:47  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/attachfilteruibase.ui (1.1)
		plugins/setupwindow/scimattachfilter.cpp (1.1)
		plugins/setupwindow/scimattachfilter.h (1.1)
	Changed:
		plugins/setupwindow/Makefile.am (1.21), "Exp", lines: +3 -2
		plugins/setupwindow/scimimenginesettings.cpp (1.16), "Exp", lines: +133 -53
		plugins/setupwindow/scimimenginesettings.h (1.8), "Exp", lines: +5 -0
		plugins/setupwindow/scimimenginesettingsui.ui (1.5), "Exp", lines: +13 -5

	added config ui for manager filters for a specific IMEngine
	refined the changed signal manipulation mechanism
	
2005-05-20 23:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.15), "Exp", lines: +32 -10
		plugins/setupwindow/scimimenginesettingsui.ui (1.4), "Exp", lines: +11 -3

	display installed filter in IMEngine setup page
	
2005-05-18 02:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.12), "Exp", lines: +22 -7

	hide disabled modifiers according to all_valid_mask
	
2005-05-18 02:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.11), "Exp", lines: +5 -26
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.15), "Exp", lines: +77 -10

	added config ui for modifiers
	
2005-05-18 01:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.10), "Exp", lines: +93 -3
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.14), "Exp", lines: +20 -20

	cleanup
	
2005-05-18 01:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.38), "Exp", lines: +2 -2

	updated default config according to libscim
	
2005-05-13 18:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.65), "Exp", lines: +2 -2
		src/socketserverthread.h (1.56), "Exp", lines: +1 -1

	fixed typo in signal/slot connection
	
2005-05-13 18:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.52), "Exp", lines: +2 -0

	make use of libscim-x11utils
	
2005-05-13 18:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/Makefile.am (1.24), "Exp", lines: +1 -1
		src/skimkeygrabber.cpp (1.11), "Exp", lines: +29 -112

	make use of libscim-x11utils
	
2005-05-13 17:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.64), "Exp", lines: +34 -13
		plugins/inputwindow/inputwindow.h (1.36), "Exp", lines: +5 -6
		plugins/inputwindow/scimlistbox.cpp (1.27), "Exp", lines: +4 -3
		plugins/inputwindow/scimlistbox.h (1.21), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.74), "Exp", lines: +2 -29
		src/socketserverthread.h (1.55), "Exp", lines: +1 -3

	added is_page_size_fixed support
	
2005-05-13 17:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.14), "Exp", lines: +2 -1

	fixed missing a return
	
2005-05-13 17:02  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.25), "Exp", lines: +116 -368
		po/desktop_de.po (1.15), "Exp", lines: +25 -36
		po/desktop_ja.po (1.12), "Exp", lines: +2 -2
		po/ja.po (1.29), "Exp", lines: +103 -101

	updated de and ja
	
2005-05-11 23:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.37), "Exp", lines: +3 -3

	updated default settings according to libscim
	
2005-05-11 00:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.24), "Exp", lines: +376 -83
		po/desktop.pot (1.28), "Exp", lines: +1 -1
		po/fr.po (1.12), "Exp", lines: +376 -83
		po/it.po (1.12), "Exp", lines: +376 -83
		po/ja.po (1.28), "Exp", lines: +385 -80
		po/ko.po (1.28), "Exp", lines: +376 -83
		po/skim.pot (1.32), "Exp", lines: +355 -76
		po/zh_CN.po (1.34), "Exp", lines: +365 -82
		po/zh_TW.po (1.18), "Exp", lines: +374 -83
		utils/scimkdeconfig.kcfg (1.36), "Exp", lines: +2 -1

	updated pot strings
	updated zh_CN
	updated scim specific settings in xml file
	
2005-05-10 22:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.13), "Exp", lines: +56 -10
		utils/scimkdeconfig.kcfg (1.35), "Exp", lines: +46 -55
		scim/config/scim_kconfig_config.h (1.4), "Exp", lines: +1 -19

	honor default settings set in ScimKdeSettings
	
2005-05-10 04:13  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.63), "Exp", lines: +2 -1

	use LineEditPanel style in AuxText
	
2005-05-10 01:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.100), "Exp", lines: +978 -0

	updated doc for 1.3.0
	
2005-05-10 01:44  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.82), "Exp", lines: +0 -3

	nothing left for skim 1.3.0 :)
	
2005-05-10 01:38  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.54), "Exp", lines: +2 -2

	updated version to 1.3.0
	
2005-05-09 23:59  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		icons/scim_setup.png (1.1)
	Changed:
		TODO (1.81), "Exp", lines: +0 -4
		configure.in.in (1.51), "Exp", lines: +1 -1
		skim.spec.in (1.5), "Exp", lines: +1 -1
		icons/Makefile.am (1.11), "Exp", lines: +2 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.37), "Exp", lines: +9 -9
		plugins/mainwindow/mainwindow.cpp (1.78), "Exp", lines: +1 -0

	updated homepage url in spec file
	cleanup
	
2005-05-09 21:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.11), "Exp", lines: +10 -7

	hope this check will fix that sometimes when exit apps, the kicker will crash
	
2005-05-09 21:56  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.77), "Exp", lines: +2 -4

	replaced stick_inputwindow action with toggle_docking action in context menu in main window
	
2005-05-09 21:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.52), "Exp", lines: +23 -11

	added signal handler; set XMODIFIER to none
	
2005-05-09 21:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.42), "Exp", lines: +8 -0
		src/skimglobalactions.h (1.26), "Exp", lines: +1 -0

	added SCIM Setup as a global action
	
2005-05-09 20:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.62), "Exp", lines: +4 -0
		plugins/inputwindow/inputwindow.cpp (1.45.2.11), "Exp", lines: +2 -0

	lookup table should be hiden by default
	
2005-05-09 20:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.61), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.10), "Exp", lines: +1 -1

	do not show inputwindow when show lookuptable if detached
	
2005-05-09 19:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.41), "Exp", lines: +9 -3
		src/skimglobalactions.h (1.25), "Exp", lines: +5 -5

	added quit as global action
	
2005-05-09 19:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.40), "Exp", lines: +14 -14

	set whatsthis of helper actions; cleanup
	
2005-05-09 17:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.42), "Exp", lines: +1 -1
		scim/config/scim_kconfig_config.cpp (1.12), "Exp", lines: +19 -21

	fixed: setGroup to SCIM before write UpdateTimeStamp; cleanup
	
2005-05-09 01:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.80), "Exp", lines: +3 -3
		configure.in.in (1.50), "Exp", lines: +14 -0
		plugins/compmgrclient/Makefile.am (1.2), "Exp", lines: +5 -1

	added checking of XComposite extension in configure script
	
2005-05-09 01:04  tag scim_pinyin_0_5_90

2005-05-09 01:04  tag scim_pinyin_0_5_91

2005-05-09 01:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/acinclude.m4.in (1.4), "Exp", lines: +1 -1

	qt 3.3 can be used with kde >= 3.2
	
2005-05-09 00:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.40), "Exp", lines: +10 -10
		utils/scimactions.cpp (1.26.2.9), "Exp", lines: +10 -10

	support icons whose filenames contain none-latin1 chars
	
2005-05-08 03:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.60), "Exp", lines: +0 -1
		plugins/inputwindow/scimlineedit.cpp (1.19), "Exp", lines: +1 -0
		plugins/inputwindow/scimstringrender.cpp (1.11), "Exp", lines: +14 -3
		plugins/inputwindow/scimstringrender.h (1.7), "Exp", lines: +4 -3

	improved: string layout
	
2005-05-08 02:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlineedit.cpp (1.18), "Exp", lines: +3 -1

	use QFrame::LineEditPanel in ScimLineEdit
	
2005-05-08 02:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.76), "Exp", lines: +12 -6

	use QFrame::PopupPanel in main toolbar instead of QFrame::StyledPanel
	
2005-05-08 00:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlookuptable.cpp (1.22), "Exp", lines: +3 -2
		utils/scimactions.cpp (1.39), "Exp", lines: +58 -6
		utils/scimactions.h (1.27), "Exp", lines: +6 -0

	improvement: class SkimToolButton, the button is now smaller (only occupys as few space as possible) and the text drawing when no icon is specified is improved too
	
2005-05-07 22:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.cpp (1.26), "Exp", lines: +4 -2

	fixed: when all candidates are displayed, counter should not be increased again
	
2005-05-07 22:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlookuptable.cpp (1.21), "Exp", lines: +10 -2

	improvement: do not display the border of the next/previous buttons; hide next/previous button when disabled; (thanks to cjacker for advice)
	
2005-05-07 02:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.79), "Exp", lines: +3 -2
		plugins/inputwindow/scimlistbox.cpp (1.25), "Exp", lines: +1 -0
		src/skimglobalactions.cpp (1.39), "Exp", lines: +1 -2

	cleanup
	
2005-05-07 01:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.cpp (1.24), "Exp", lines: +7 -3

	fixed: only show label if label is not empty; show the first candidate which exceed the length limit
	
2005-05-06 21:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.75), "Exp", lines: +54 -27
		plugins/mainwindow/mainwindow.h (1.38), "Exp", lines: +2 -1
		plugins/mainwindow/mainwindow_settings.ui (1.9), "Exp", lines: +2 -2
		plugins/mainwindow/applet/skimapplet.cpp (1.10), "Exp", lines: +21 -17
		plugins/mainwindow/applet/skimapplet.h (1.7), "Exp", lines: +2 -2
		utils/scimkdeconfig.kcfg (1.34), "Exp", lines: +3 -3
		utils/scimtoolbar.cpp (1.10), "Exp", lines: +2 -2

	added direction support in maintoolbar: supports 4 direction in standalone mode; in embedded mode, only one direction can be handled correctly, however if the user wants, he/she can use the other 3 directions.
	
2005-05-06 00:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.10), "Exp", lines: +26 -5
		src/skimkeygrabber.h (1.8), "Exp", lines: +7 -1

	added meta/hyper/super modifiers support
	
2005-05-05 03:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.78), "Exp", lines: +2 -2
		plugins/compmgrclient/compositemanagerbase.ui (1.2), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow_settings.ui (1.6), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus_config.ui (1.5), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.74), "Exp", lines: +61 -8
		plugins/mainwindow/mainwindow.h (1.37), "Exp", lines: +6 -3
		plugins/mainwindow/mainwindow_settings.ui (1.8), "Exp", lines: +140 -65
		plugins/setupwindow/scim_global.ui (1.9), "Exp", lines: +1 -1
		plugins/setupwindow/scim_x.ui (1.12), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.14), "Exp", lines: +1 -1
		utils/scimkdeconfig.kcfg (1.33), "Exp", lines: +45 -27
		utils/scimkdesettings.kcfgc (1.2), "Exp", lines: +2 -0
		utils/scimmovehandle.cpp (1.7), "Exp", lines: +20 -5
		utils/scimmovehandle.h (1.6), "Exp", lines: +6 -1
		utils/scimtoolbar.cpp (1.9), "Exp", lines: +9 -2
		utils/scimtoolbar.h (1.6), "Exp", lines: +4 -0

	initial direction support in main window (only works in standalone mode now) and add three options to customize this
	feature
	added whatsthis tips for all skim settings
	
2005-05-04 18:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.77), "Exp", lines: +9 -3
		configure.in.in (1.49), "Exp", lines: +2 -2

	requires scim 1.3.0
	
2005-05-04 01:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.11), "Exp", lines: +2 -1

	set group to SCIM when flush
	
2005-04-27 17:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/Makefile.am (1.12), "Exp", lines: +1 -1

	lib version info
	
2005-04-27 17:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.9), "Exp", lines: +108 -78
		src/skimkeygrabber.h (1.7), "Exp", lines: +14 -17

	cleanup; fixed: when user click checkbox(ies), the corresponding modiferies should be added to the hotkey
	
2005-04-27 02:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.23), "Exp", lines: +27 -21
		po/desktop.pot (1.27), "Exp", lines: +1 -1
		po/desktop_zh_CN.po (1.12), "Exp", lines: +3 -3
		po/fr.po (1.11), "Exp", lines: +27 -21
		po/it.po (1.11), "Exp", lines: +27 -21
		po/ja.po (1.27), "Exp", lines: +30 -22
		po/ko.po (1.27), "Exp", lines: +27 -21
		po/skim.pot (1.31), "Exp", lines: +11 -19
		po/zh_CN.po (1.33), "Exp", lines: +20 -27
		po/zh_TW.po (1.17), "Exp", lines: +24 -21

	updated translation strings; updated zh_CN
	
2005-04-27 01:57  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		icons/scim_keyboard.png (1.1)
	Changed:
		icons/Makefile.am (1.10), "Exp", lines: +2 -1
		src/skimglobalactions.cpp (1.38), "Exp", lines: +2 -2

	use new keyboard icon made by Kitae
	
2005-04-27 01:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.76), "Exp", lines: +0 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.13), "Exp", lines: +22 -16
		plugins/setupwindow/scimimenginesettings.h (1.7), "Exp", lines: +1 -1

	click in the second column will bringup the edit hotkeys dialog
	
2005-04-27 01:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/configinputwindow.cpp (1.5), "Exp", lines: +0 -6
		plugins/inputwindow/inputwindow_settings.ui (1.5), "Exp", lines: +4 -28

	cleanup
	
2005-04-27 01:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		icons/scim.png (1.4), "Exp", lines: +10 -11

	use new scim logo icon designed by Kitae
	
2005-04-27 00:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.59), "Exp", lines: +3 -9
		plugins/inputwindow/scimlookuptable.cpp (1.20), "Exp", lines: +0 -5
		plugins/inputwindow/scimstringlistitem.h (1.14), "Exp", lines: +1 -3

	cleanup
	
2005-04-26 23:56  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlookuptable.cpp (1.19), "Exp", lines: +0 -9
		plugins/inputwindow/scimlookuptable.h (1.10), "Exp", lines: +0 -1
		plugins/inputwindow/scimstringrender.cpp (1.10), "Exp", lines: +4 -4

	get rid of 1 pix offset of the cursor; cleanup
	
2005-04-26 16:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.4), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.4), "Exp", lines: +1 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.15), "Exp", lines: +1 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.14), "Exp", lines: +1 -1
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.17), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.16), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.17), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.17), "Exp", lines: +2 -2
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.2), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.3), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.3), "Exp", lines: +1 -0
		po/de.po (1.22), "Exp", lines: +63 -32
		po/desktop.pot (1.26), "Exp", lines: +5 -1
		po/desktop_de.po (1.14), "Exp", lines: +5 -1
		po/desktop_fr.po (1.10), "Exp", lines: +5 -1
		po/desktop_it.po (1.10), "Exp", lines: +5 -1
		po/desktop_ja.po (1.11), "Exp", lines: +24 -27
		po/desktop_ko.po (1.13), "Exp", lines: +5 -1
		po/desktop_zh_CN.po (1.11), "Exp", lines: +8 -4
		po/desktop_zh_TW.po (1.10), "Exp", lines: +5 -1
		po/fr.po (1.10), "Exp", lines: +63 -32
		po/it.po (1.10), "Exp", lines: +63 -32
		po/ja.po (1.26), "Exp", lines: +91 -70
		po/ko.po (1.26), "Exp", lines: +63 -32
		po/skim.pot (1.30), "Exp", lines: +59 -31
		po/zh_CN.po (1.32), "Exp", lines: +68 -49
		po/zh_TW.po (1.16), "Exp", lines: +62 -32
		src/skimkcmplugin.desktop (1.11), "Exp", lines: +1 -1
		src/skimplugin.desktop (1.13), "Exp", lines: +1 -1

	updated translation.
	updated ja_JP and zh_CN
	
2005-04-25 23:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.75), "Exp", lines: +3 -2
		plugins/inputwindow/inputwindow.cpp (1.58), "Exp", lines: +1 -4
		plugins/inputwindow/scimlistbox.cpp (1.23), "Exp", lines: +57 -77
		plugins/inputwindow/scimlistbox.h (1.20), "Exp", lines: +7 -8
		utils/scimkdeconfig.kcfg (1.32), "Exp", lines: +0 -8

	use multiple ScimStringListItem in ScimListBox to make code much cleaner and easier to maintain
	
2005-04-25 22:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimstringlistitem.cpp (1.13), "Exp", lines: +1 -33
		plugins/inputwindow/scimstringlistitem.h (1.13), "Exp", lines: +0 -9

	cleanup
	
2005-04-24 17:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.8), "Exp", lines: +167 -11
		src/skimkeygrabber.h (1.6), "Exp", lines: +39 -26

	use x11 event if possible
	
2005-04-22 01:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.73), "Exp", lines: +14 -4
		plugins/mainwindow/applet/skimapplet.cpp (1.9), "Exp", lines: +47 -9
		plugins/mainwindow/applet/skimapplet.h (1.6), "Exp", lines: +1 -0

	fixed: added more checking to avoid potential crash
	fixed: KDE 3.3.x has slightly different qobject hierachy in kicker, add some checking to handle KDE 3.3.x correctly
	
2005-04-21 23:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.8), "Exp", lines: +7 -1

	fixed: crash with kde 3.3.x
	
2005-04-21 22:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.7), "Exp", lines: +2 -3

	fixed: gcc 3.3.x compile issu
	
2005-04-21 22:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/compositemanagerconfig.cpp (1.2), "Exp", lines: +12 -2
		plugins/compmgrclient/compositemanagerconfig.h (1.2), "Exp", lines: +2 -1

	fixed: kde 3.3.x compatibility
	fixed: emit changed() signal correctly
	
2005-04-21 03:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.74), "Exp", lines: +1 -0
		plugins/mainwindow/mainwindow.cpp (1.72), "Exp", lines: +16 -3
		plugins/mainwindow/mainwindow.h (1.36), "Exp", lines: +5 -4
		plugins/mainwindow/applet/skimapplet.cpp (1.6), "Exp", lines: +80 -4
		plugins/mainwindow/applet/skimapplet.h (1.5), "Exp", lines: +8 -6

	implemented double click of the movehandler/draghandler to switch mode of mainwindow
	
2005-04-21 03:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimdragableframe.cpp (1.9), "Exp", lines: +24 -18

	cleanup
	
2005-04-21 00:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.71), "Exp", lines: +22 -8
		plugins/mainwindow/mainwindow.h (1.35), "Exp", lines: +3 -0

	main toolbar should not be hiden automatically when turnedOn
	
2005-04-21 00:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.73), "Exp", lines: +0 -1
		configure.in.in (1.48), "Exp", lines: +17 -0
		src/Makefile.am (1.23), "Exp", lines: +2 -1

	libskim library version is implemented
	
2005-04-21 00:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.72), "Exp", lines: +0 -1
		src/socketserverthread.cpp (1.73), "Exp", lines: +2 -0

	remove the _helper_list size warning if not ENABLE_DEBUG
	
2005-04-21 00:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.71), "Exp", lines: +0 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.41), "Exp", lines: +12 -0

	remember size in configure dialog
	
2005-04-20 19:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.70), "Exp", lines: +4 -1
		src/skimglobalactions.cpp (1.37), "Exp", lines: +1 -0

	fixed: comboaction default icon behavior is scim_kde::ToolBarPreferIcon
	
2005-04-20 19:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlineedit.cpp (1.17), "Exp", lines: +1 -5
		plugins/inputwindow/scimlineedit.h (1.10), "Exp", lines: +2 -3
		plugins/inputwindow/scimstringlistitem.cpp (1.12), "Exp", lines: +1 -5
		plugins/inputwindow/scimstringlistitem.h (1.12), "Exp", lines: +3 -4
		plugins/inputwindow/scimstringrender.cpp (1.9), "Exp", lines: +139 -113
		plugins/inputwindow/scimstringrender.h (1.6), "Exp", lines: +1 -3

	implemented buffer for ScimStringRender, which should improve the performance of the input window
	fixed some potential issue of font settings in input window
	
2005-04-20 03:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.70), "Exp", lines: +31 -8
		plugins/mainwindow/mainwindow.h (1.34), "Exp", lines: +4 -1

	improvement: in docking mode, only after user stops the mouse in maintoolbar, the show handler timers will be started
	
2005-04-16 21:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.7), "Exp", lines: +2 -2
		src/skimpluginmanager.cpp (1.38), "Exp", lines: +2 -2
		src/socketserverthread.cpp (1.72), "Exp", lines: +1 -1
		src/socketserverthread.h (1.54), "Exp", lines: +1 -3

	updated to work with scim CVS HEAD
	
2005-04-16 21:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.10), "Exp", lines: +11 -5
		scim/config/scim_kconfig_config.h (1.3), "Exp", lines: +3 -1

	Added get_name() into ConfigBase class.
	
2005-04-16 01:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/applet/skimapplet.cpp (1.5), "Exp", lines: +12 -8
		plugins/mainwindow/applet/skimapplet.h (1.4), "Exp", lines: +1 -1

	try to immediately embed main toolbar into panel and added a checking function to make sure it is shown
	
2005-04-16 01:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.40), "Exp", lines: +0 -3
		plugins/mainwindow/mainwindow.cpp (1.69), "Exp", lines: +7 -5

	cleanup
	
2005-04-15 22:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.31), "Exp", lines: +1 -5

	cleanup and add a default value for MainWindow_Position
	
2005-04-15 21:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.47), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.68), "Exp", lines: +5 -8
		utils/scimkdeconfig.kcfg (1.30), "Exp", lines: +1 -5

	use qpoint to save the position of main toolbar instead of two ints; requires KDE >=3.3.0
	
2005-04-15 20:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.67), "Exp", lines: +30 -28
		utils/scimdragableframe.cpp (1.8), "Exp", lines: +10 -1
		utils/scimdragableframe.h (1.7), "Exp", lines: +2 -2

	fixed: hide the movehandle when docking into panel applet
	fixed: serious flitter when move maintoolbar
	
2005-04-15 20:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.66), "Exp", lines: +10 -12
		plugins/mainwindow/mainwindow.h (1.33), "Exp", lines: +0 -1

	fixed: the always show timer won't be stop after re-enterEvent; cleanup
	
2005-04-15 01:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.69), "Exp", lines: +2 -4
		utils/scimactions.cpp (1.38), "Exp", lines: +2 -2

	fixed: serveraction does not honor: use text option
	
2005-04-15 01:38  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.39), "Exp", lines: +10 -1

	try to raise the dialog window if the user activate the configure action when it is shown
	
2005-04-15 01:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/configmainwindow.cpp (1.8), "Exp", lines: +5 -1

	fixed startup configure loading for the widgetstack
	
2005-04-15 01:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.65), "Exp", lines: +25 -20
		plugins/mainwindow/mainwindow.h (1.32), "Exp", lines: +0 -1

	fixed: when timeout is 0, main toolbar did not behave correctly
	
2005-04-14 23:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.64), "Exp", lines: +52 -33
		plugins/mainwindow/mainwindow.h (1.31), "Exp", lines: +4 -1
		plugins/mainwindow/applet/skimapplet.cpp (1.4), "Exp", lines: +12 -2

	refine some docking handling and fixed the reloading issue of the two alwaysshow setting in docking mode
	
2005-04-14 18:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.68), "Exp", lines: +2 -2
		scim_panel_kde.kdevelop (1.19), "Exp", lines: +10 -10
		plugins/setupwindow/scimsetupwindow.cpp (1.38), "Exp", lines: +60 -18
		plugins/setupwindow/scimsetupwindow.h (1.18), "Exp", lines: +2 -1
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.2), "Exp", lines: +1 -0
		plugins/setupwindow/skimsetupdir_panel.desktop (1.2), "Exp", lines: +1 -0
		src/skimpluginmanager.cpp (1.37), "Exp", lines: +7 -1
		src/skimsetupcategory.desktop (1.2), "Exp", lines: +3 -0

	hide configure ui of disabled plugin
	setupdir weight support: now dirs can be sorted in a specific order
	
2005-04-14 00:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/configskimplugins.cpp (1.6), "Exp", lines: +13 -2

	fixed: isChanged was wrong
	
2005-04-14 00:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/configskimplugins.cpp (1.5), "Exp", lines: +1 -14

	cleanup
	
2005-04-13 04:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/configmainwindow.cpp (1.7), "Exp", lines: +3 -0
		plugins/mainwindow/mainwindow_settings.ui (1.7), "Exp", lines: +8 -0

	timeout spinbox should be hidden if alwaysshow is not selected
	
2005-04-13 03:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.63), "Exp", lines: +5 -13

	rename mainwindow if in docking mode, so it won't be listed in the composite management page and cleanup
	
2005-04-13 03:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skim.desktop (1.15), "Exp", lines: +1 -0

	added DocPath item into skim.desktop so that skim will appear in KDE helper center index
	
2005-04-13 03:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow_settings.ui (1.4), "Exp", lines: +5 -2
		plugins/kdetraystatus/kdetraystatus_config.ui (1.4), "Exp", lines: +4 -4
		plugins/mainwindow/configmainwindow.cpp (1.6), "Exp", lines: +29 -1
		plugins/mainwindow/configmainwindow.h (1.4), "Exp", lines: +3 -1
		plugins/mainwindow/mainwindow_settings.ui (1.6), "Exp", lines: +223 -92

	improved configure ui for mainwindow; remove margins in inputwindow/kdesystray configure ui (designer always reset the default margin after modification of the layout)
	
2005-04-13 02:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/configmainwindow.cpp (1.5), "Exp", lines: +1 -5
		plugins/mainwindow/mainwindow.cpp (1.62), "Exp", lines: +75 -25
		plugins/mainwindow/mainwindow.h (1.30), "Exp", lines: +4 -1

	reimplemented: always show support, and add back the configure ui
	
2005-04-13 00:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.67), "Exp", lines: +0 -1
		utils/scimactions.cpp (1.37), "Exp", lines: +1 -0
		utils/scimactions.h (1.26), "Exp", lines: +5 -3

	cleanup and fixed: setIconSet when init scimaction
	
2005-04-13 00:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.61), "Exp", lines: +19 -27

	cleanup: modify most dcop call to use dcopref
	
2005-04-13 00:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim_panel_kde.kdevelop (1.18), "Exp", lines: +12 -8
		plugins/mainwindow/configmainwindow.cpp (1.4), "Exp", lines: +2 -1
		plugins/mainwindow/mainwindow.cpp (1.60), "Exp", lines: +121 -38
		plugins/mainwindow/mainwindow.h (1.29), "Exp", lines: +6 -13
		plugins/mainwindow/mainwindow_settings.ui (1.5), "Exp", lines: +84 -6
		plugins/mainwindow/applet/skimapplet.cpp (1.3), "Exp", lines: +11 -7
		plugins/mainwindow/applet/skimapplet.h (1.3), "Exp", lines: +1 -0

	new and fixed: configure options for the docking related stuffs and fixed misbehavior of some of the combination of these options
	
2005-04-12 19:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.66), "Exp", lines: +1 -0
		scim_panel_kde.kdevelop (1.17), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.59), "Exp", lines: +5 -3
		plugins/mainwindow/applet/skimapplet.cpp (1.2), "Exp", lines: +43 -15
		plugins/mainwindow/applet/skimapplet.h (1.2), "Exp", lines: +4 -1

	fixed: something when KDE startup with embedded panel, the panel can not be displayed
	
2005-04-12 03:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.29), "Exp", lines: +5 -0
		plugins/mainwindow/mainwindow.cpp (1.58), "Exp", lines: +26 -7
		plugins/mainwindow/mainwindow.h (1.28), "Exp", lines: +3 -0

	new option: alwaysShowExtensionHandle for main window
	
2005-04-12 03:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.57), "Exp", lines: +4 -4

	cleanup
	
2005-04-12 03:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.36), "Exp", lines: +32 -18
		utils/scimactions.h (1.25), "Exp", lines: +4 -0

	fixed: when reloading main toolbar, scimaction would display text where it should not do so
	
2005-04-12 02:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.56), "Exp", lines: +5 -2

	fixed: mainwindow can not be shown if startup with embedded mode
	
2005-04-12 02:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.35), "Exp", lines: +1 -0

	fixed: correctly set display text for scimaction
	
2005-04-12 02:01  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		icons/skim_minimize.png (1.1)
		icons/skim_restore.png (1.1)
	Changed:
		icons/Makefile.am (1.9), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.55), "Exp", lines: +38 -9
		plugins/mainwindow/mainwindow.h (1.27), "Exp", lines: +6 -1
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.14), "Exp", lines: +9 -1
		utils/scimkdeconfig.kcfg (1.28), "Exp", lines: +5 -0

	toggle docking action is implemented
	
2005-04-12 00:03  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/mainwindow/applet/Makefile.am (1.1)
		plugins/mainwindow/applet/skimapplet.cpp (1.1)
		plugins/mainwindow/applet/skimapplet.desktop (1.1)
		plugins/mainwindow/applet/skimapplet.h (1.1)
	Changed:
		plugins/mainwindow/Makefile.am (1.15), "Exp", lines: +2 -1
		plugins/mainwindow/mainwindow.cpp (1.54), "Exp", lines: +243 -37
		plugins/mainwindow/mainwindow.h (1.26), "Exp", lines: +32 -4
		utils/scimkdeconfig.kcfg (1.27), "Exp", lines: +5 -0

	the core support of embedded into panel is implemented
	
2005-04-08 04:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.3), "Exp", lines: +3 -3
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.3), "Exp", lines: +1 -1
		po/desktop.pot (1.25), "Exp", lines: +2 -2
		po/desktop_de.po (1.13), "Exp", lines: +4 -3
		po/desktop_fr.po (1.9), "Exp", lines: +4 -3
		po/desktop_it.po (1.9), "Exp", lines: +4 -3
		po/desktop_ja.po (1.10), "Exp", lines: +4 -3
		po/desktop_ko.po (1.12), "Exp", lines: +4 -3
		po/desktop_zh_CN.po (1.10), "Exp", lines: +4 -4
		po/desktop_zh_TW.po (1.9), "Exp", lines: +4 -3
		po/skim.pot (1.29), "Exp", lines: +1 -1

	updated icons and zh_CN
	
2005-04-08 04:02  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim_panel_kde.kdevelop (1.16), "Exp", lines: +8 -8
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.2), "Exp", lines: +2 -0
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.2), "Exp", lines: +2 -0
		po/de.po (1.21), "Exp", lines: +56 -12
		po/desktop.pot (1.24), "Exp", lines: +17 -1
		po/desktop_de.po (1.12), "Exp", lines: +19 -1
		po/desktop_file_list (1.8), "Exp", lines: +2 -0
		po/desktop_fr.po (1.8), "Exp", lines: +19 -1
		po/desktop_it.po (1.8), "Exp", lines: +19 -1
		po/desktop_ja.po (1.9), "Exp", lines: +19 -1
		po/desktop_ko.po (1.11), "Exp", lines: +19 -1
		po/desktop_zh_CN.po (1.9), "Exp", lines: +18 -2
		po/desktop_zh_TW.po (1.8), "Exp", lines: +19 -1
		po/fr.po (1.9), "Exp", lines: +56 -12
		po/it.po (1.9), "Exp", lines: +56 -12
		po/ja.po (1.25), "Exp", lines: +56 -12
		po/ko.po (1.25), "Exp", lines: +56 -12
		po/skim.pot (1.28), "Exp", lines: +52 -9
		po/zh_CN.po (1.31), "Exp", lines: +53 -10
		po/zh_TW.po (1.15), "Exp", lines: +56 -12

	updated pot and zh_CN
	
2005-04-08 03:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.65), "Exp", lines: +1 -1
		configure.in.in (1.46), "Exp", lines: +1 -1

	pump version to 1.3.0
	
2005-04-08 03:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.26), "Exp", lines: +0 -8

	use group to store composite settings for each window
	
2005-04-08 03:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.57), "Exp", lines: +3 -2
		plugins/mainwindow/mainwindow.cpp (1.53), "Exp", lines: +2 -2
		plugins/setupwindow/scimxsettings.cpp (1.5), "Exp", lines: +0 -6
		plugins/setupwindow/scimxsettings.h (1.4), "Exp", lines: +0 -7

	cleanup and added caption to inputwindow and mainwindow
	
2005-04-08 03:45  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/compmgrclient/Makefile.am (1.1)
		plugins/compmgrclient/compmgrclient.cpp (1.1)
		plugins/compmgrclient/compmgrclient.h (1.1)
		plugins/compmgrclient/compositemanagerbase.ui (1.1)
		plugins/compmgrclient/compositemanagerconfig.cpp (1.1)
		plugins/compmgrclient/compositemanagerconfig.h (1.1)
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.1)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.1)
	Changed:
		plugins/Makefile.am (1.4), "Exp", lines: +1 -1

	new: added new plugin to support composite features, and its corresponding configure dialog
	
2005-04-08 03:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.36), "Exp", lines: +1 -131
		src/skimpluginmanager.h (1.14), "Exp", lines: +2 -4

	removed composite support from core
	
2005-04-02 19:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.13), "Exp", lines: +1 -8
		plugins/setupwindow/scimglobalconfigplugin.h (1.8), "Exp", lines: +1 -1

	remove non-overloaded function
	
2005-04-02 19:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.56), "Exp", lines: +11 -2
		plugins/inputwindow/inputwindow.h (1.35), "Exp", lines: +1 -0

	all components should be hidden when hide input window
	
2005-04-02 02:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		icons/scim.png (1.3), "Exp", lines: +11 -3

	added scim logo icon
	
2005-04-02 02:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.25), "Exp", lines: +1 -1

	dynamic event should be disabled by default (libscim decides)
	
2005-04-02 02:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/desktop.pot (1.23), "Exp", lines: +1 -1
		po/desktop_zh_CN.po (1.8), "Exp", lines: +3 -3
		po/skim.pot (1.27), "Exp", lines: +1 -1
		po/zh_CN.po (1.30), "Exp", lines: +5 -4
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.14), "Exp", lines: +1 -1
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.16), "Exp", lines: +1 -1

	updated zh_CN translation
	
2005-04-02 01:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.15), "Exp", lines: +1 -1
		plugins/setupwindow/scim_global.ui (1.8), "Exp", lines: +655 -314
		plugins/setupwindow/scim_x.ui (1.11), "Exp", lines: +8 -228
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.12), "Exp", lines: +55 -17
		plugins/setupwindow/scimglobalconfigplugin.h (1.7), "Exp", lines: +2 -2
		plugins/setupwindow/scimsetupwindow.cpp (1.37), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.15), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.18), "Exp", lines: +1 -1
		po/de.po (1.20), "Exp", lines: +68 -53
		po/desktop.pot (1.22), "Exp", lines: +1 -1
		po/desktop_zh_CN.po (1.7), "Exp", lines: +3 -3
		po/fr.po (1.8), "Exp", lines: +68 -53
		po/it.po (1.8), "Exp", lines: +68 -53
		po/ja.po (1.24), "Exp", lines: +68 -53
		po/ko.po (1.24), "Exp", lines: +68 -53
		po/skim.pot (1.26), "Exp", lines: +54 -46
		po/zh_CN.po (1.29), "Exp", lines: +59 -51
		po/zh_TW.po (1.14), "Exp", lines: +64 -49

	added: keyboard layout selection in configure dialog
	improvement: move global settings from X page to general SCIM page
	updated translation
	
2005-04-01 21:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.13), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.17), "Exp", lines: +1 -1
		plugins/scimlauncher/skimplugin_scim.desktop (1.13), "Exp", lines: +1 -1

	updated icons
	
2005-04-01 19:27  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.1)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.1)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.1)
		src/skimsetupcategory.desktop (1.1)
	Changed:
		TODO (1.64), "Exp", lines: +4 -4
		scim_panel_kde.kdevelop (1.15), "Exp", lines: +18 -7
		icons/Makefile.am (1.8), "Exp", lines: +1 -1
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.14), "Exp", lines: +1 -1
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.15), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.16), "Exp", lines: +1 -1
		plugins/setupwindow/Makefile.am (1.20), "Exp", lines: +1 -1
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.16), "Exp", lines: +4 -3
		plugins/setupwindow/scimsetupwindow.cpp (1.36), "Exp", lines: +29 -10
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.14), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.16), "Exp", lines: +4 -18
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.17), "Exp", lines: +2 -2
		po/de.po (1.19), "Exp", lines: +23 -20
		po/desktop.pot (1.21), "Exp", lines: +20 -8
		po/desktop_de.po (1.11), "Exp", lines: +28 -9
		po/desktop_file_list (1.7), "Exp", lines: +4 -0
		po/desktop_fr.po (1.7), "Exp", lines: +28 -9
		po/desktop_it.po (1.7), "Exp", lines: +28 -9
		po/desktop_ja.po (1.8), "Exp", lines: +28 -9
		po/desktop_ko.po (1.10), "Exp", lines: +28 -9
		po/desktop_zh_CN.po (1.6), "Exp", lines: +30 -16
		po/desktop_zh_TW.po (1.7), "Exp", lines: +28 -9
		po/fr.po (1.7), "Exp", lines: +23 -20
		po/it.po (1.7), "Exp", lines: +23 -20
		po/ja.po (1.23), "Exp", lines: +23 -20
		po/ko.po (1.23), "Exp", lines: +23 -20
		po/skim.pot (1.25), "Exp", lines: +18 -18
		po/zh_CN.po (1.28), "Exp", lines: +29 -184
		po/zh_TW.po (1.13), "Exp", lines: +23 -20
		src/Makefile.am (1.22), "Exp", lines: +1 -1

	improvement: redesigned configure dialog:
	             icons for each dir/kcmodule
	             under each dir, sorting kcm according to prioprity
	             the dir structure in the configure dialog is compatible with scim-setup (gtk based) now
	
2005-04-01 19:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/am_edit (1.7), "Exp", lines: +12 -5
		admin/cvs.sh (1.7), "Exp", lines: +5 -1

	desktop po file support
	
2005-03-30 21:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim_panel_kde.kdevelop (1.14), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.35), "Exp", lines: +130 -0
		src/skimpluginmanager.h (1.13), "Exp", lines: +5 -0
		utils/scimkdeconfig.kcfg (1.24), "Exp", lines: +23 -1

	core composite transparent support is in place (without configure ui yet)
	
2005-03-30 21:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimstringrender.cpp (1.8), "Exp", lines: +1 -2

	remove inappropriate static
	
2005-03-30 19:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlineedit.cpp (1.16), "Exp", lines: +1 -5
		plugins/inputwindow/scimstringlistitem.cpp (1.11), "Exp", lines: +1 -2

	cleanup
	
2005-03-30 17:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimstringrender.cpp (1.5.2.2), "Exp", lines: +9 -4
		plugins/inputwindow/scimstringrender.cpp (1.7), "Exp", lines: +9 -4

	fixed: crash in baghira metal theme (workaround)
	
2005-03-29 00:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.52), "Exp", lines: +2 -24

	remove experimental transparent support; mainwindow should be keep visible
	
2005-03-29 00:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.40.2.8), "Exp", lines: +1 -0

	mainwindow should be keep visible
	
2005-03-29 00:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/Doxyfile.global (1.3), "Exp", lines: +29 -8
		admin/Makefile.common (1.3), "Exp", lines: +1 -1
		admin/acinclude.m4.in (1.3), "Exp", lines: +472 -210
		admin/am_edit (1.6), "Exp", lines: +20 -14
		admin/conf.change.pl (1.3), "Exp", lines: +1 -1
		admin/config.guess (1.2), "Exp", lines: +211 -125
		admin/config.sub (1.2), "Exp", lines: +127 -45
		admin/configure.in.bot.end (1.2), "Exp", lines: +19 -1
		admin/cvs.sh (1.6), "Exp", lines: +77 -70
		admin/detect-autoconf.sh (1.5), "Exp", lines: +22 -22
		admin/libtool.m4.in (1.6), "Exp", lines: +128 -103
		admin/ltmain.sh (1.3), "Exp", lines: +65 -7

	updated admin to KDE 3.4.0
	
2005-03-28 15:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.63), "Exp", lines: +2 -2
		plugins/mainwindow/mainwindow.cpp (1.51), "Exp", lines: +25 -1
		src/socketserverthread.cpp (1.71), "Exp", lines: +0 -4
		src/socketserverthread.h (1.53), "Exp", lines: +0 -1

	some test stuffs removed
	
2005-03-28 15:39  tag skim_1_2_2

2005-03-28 15:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.cpp (1.62.2.5), "Exp", lines: +0 -8
		src/socketserverthread.h (1.47.2.3), "Exp", lines: +0 -1

	some extra debug/test stuffs removed
	
2005-03-28 13:06  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.96.2.3), "Exp", lines: +137 -0
		NEWS (1.18.2.4), "Exp", lines: +4 -2

	1.2.2 will be released soon (finally) in this branch skim_1_2
	
2005-03-28 13:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.22), "Exp", lines: +4 -2
		ChangeLog (1.99), "Exp", lines: +137 -0

	1.2.2 will be released soon (finally)
	
2005-03-28 00:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.34), "Exp", lines: +3 -2
		utils/scimactions.cpp (1.34), "Exp", lines: +6 -1
		utils/scimactions.h (1.24), "Exp", lines: +2 -1

	fixed sometimes configure icon does not appear in maintoolbar
	
2005-03-28 00:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54.2.7), "Exp", lines: +0 -2
		src/skimpluginmanager.cpp (1.25.2.7), "Exp", lines: +3 -2
		utils/scimactions.cpp (1.26.2.8), "Exp", lines: +6 -1
		utils/scimactions.h (1.20.2.4), "Exp", lines: +2 -1

	sometimes configure icon does not appear in maintoolbar
	
2005-03-27 23:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54.2.6), "Exp", lines: +2 -0
		plugins/mainwindow/mainwindow.cpp (1.40.2.7), "Exp", lines: +9 -3
		src/skimpluginmanager.cpp (1.25.2.6), "Exp", lines: +26 -20
		src/skimpluginmanager.h (1.11.2.1), "Exp", lines: +1 -0
		TODO (1.62), "Exp", lines: +2 -0
		plugins/mainwindow/mainwindow.cpp (1.50), "Exp", lines: +9 -3
		src/skimpluginmanager.cpp (1.33), "Exp", lines: +26 -20
		src/skimpluginmanager.h (1.12), "Exp", lines: +1 -0

	remove plugin associated actions when unload it
	
2005-03-27 22:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54.2.5), "Exp", lines: +0 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.9), "Exp", lines: +4 -0
		plugins/inputwindow/inputwindow_settings.ui (1.2.2.1), "Exp", lines: +70 -47
		utils/scimkdeconfig.kcfg (1.22.2.1), "Exp", lines: +4 -0
		TODO (1.61), "Exp", lines: +0 -1
		plugins/inputwindow/inputwindow.cpp (1.55), "Exp", lines: +4 -0
		plugins/inputwindow/inputwindow_settings.ui (1.3), "Exp", lines: +70 -47
		utils/scimkdeconfig.kcfg (1.23), "Exp", lines: +4 -0

	new option for tear-offed lookuptable
	
2005-03-27 21:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.54), "Exp", lines: +4 -13
		plugins/inputwindow/scimlistbox.cpp (1.22), "Exp", lines: +0 -2
		plugins/mainwindow/mainwindow.cpp (1.49), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.33), "Exp", lines: +1 -1
		utils/scimmovehandle.h (1.5), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.8), "Exp", lines: +4 -13
		plugins/inputwindow/scimlistbox.cpp (1.17.2.5), "Exp", lines: +0 -2
		plugins/mainwindow/mainwindow.cpp (1.40.2.6), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.26.2.7), "Exp", lines: +1 -1
		utils/scimmovehandle.h (1.4.2.1), "Exp", lines: +1 -1

	use QFrame::StyledPanel instead specifying our own style for input window
	
2005-03-27 20:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimmovehandle.cpp (1.4.2.2), "Exp", lines: +2 -10
		utils/scimmovehandle.cpp (1.6), "Exp", lines: +2 -10

	fixed: redrawing issue of movehandler
	
2005-03-27 17:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.26.2.6), "Exp", lines: +0 -1
		utils/scimactions.cpp (1.32), "Exp", lines: +0 -1

	fixed: crash when remove/add buttons to the maintoolbar
	
2005-03-27 16:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.60), "Exp", lines: +2 -0
		src/main.cpp (1.51), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.31), "Exp", lines: +3 -0
		TODO (1.54.2.4), "Exp", lines: +2 -0
		utils/scimactions.cpp (1.26.2.5), "Exp", lines: +3 -0

	fixed: after reloading, skim crashed if triggered
	
2005-03-27 04:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.18.2.3), "Exp", lines: +4 -1
		plugins/mainwindow/mainwindow.cpp (1.40.2.5), "Exp", lines: +0 -1
		src/skimglobalactions.cpp (1.28.2.3), "Exp", lines: +1 -2
		src/skimpluginmanager.cpp (1.25.2.5), "Exp", lines: +3 -3
		utils/scimactions.cpp (1.26.2.4), "Exp", lines: +19 -14
		utils/scimactions.h (1.20.2.3), "Exp", lines: +3 -0
		utils/scimtoolbar.cpp (1.6.2.2), "Exp", lines: +7 -5
		utils/scimtoolbar.h (1.4.2.1), "Exp", lines: +2 -17

	improvement: reduced the size main window, now honor the size of font rather than the default icon size
	improvement: get rid of the extra space in the main window on the far right
	
2005-03-27 04:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.21), "Exp", lines: +4 -1
		TODO (1.59), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.48), "Exp", lines: +0 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.35), "Exp", lines: +1 -2
		src/main.cpp (1.50), "Exp", lines: +2 -2
		src/skimglobalactions.cpp (1.36), "Exp", lines: +1 -2
		src/skimpluginmanager.cpp (1.32), "Exp", lines: +3 -3
		utils/scimactions.cpp (1.30), "Exp", lines: +18 -12
		utils/scimactions.h (1.23), "Exp", lines: +3 -0
		utils/scimtoolbar.cpp (1.8), "Exp", lines: +7 -5
		utils/scimtoolbar.h (1.5), "Exp", lines: +2 -17

	    improvement: reduced the size main window, now honor the size of font rather than the default icon size
	    improvement: get rid of the extra space in the main window on the far right
	    (hope this would be the last significant change before release 1.2.2)
	
2005-03-27 02:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.29), "Exp", lines: +28 -23
		utils/scimactions.h (1.22), "Exp", lines: +2 -1
		plugins/inputwindow/inputwindow.cpp (1.53), "Exp", lines: +1 -3
		plugins/mainwindow/mainwindow.cpp (1.47), "Exp", lines: +6 -4
		TODO (1.54.2.3), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.7), "Exp", lines: +1 -3
		plugins/mainwindow/mainwindow.cpp (1.40.2.4), "Exp", lines: +6 -4
		plugins/setupwindow/scimsetupwindow.cpp (1.34.2.1), "Exp", lines: +1 -2
		utils/scimactions.cpp (1.26.2.3), "Exp", lines: +30 -24
		utils/scimactions.h (1.20.2.2), "Exp", lines: +2 -1

	improvement: do not use the default icon size for toolbar, we now use the same size as the font
	
2005-03-26 21:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.52), "Exp", lines: +31 -23
		plugins/inputwindow/scimlookuptable.cpp (1.18), "Exp", lines: +2 -0
		plugins/inputwindow/inputwindow.cpp (1.45.2.6), "Exp", lines: +31 -23
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.6), "Exp", lines: +2 -0

	fixed: if other two windows are not visible, lookup table can ignore them when being placed
	
2005-03-26 20:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.51), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.17), "Exp", lines: +20 -15
		plugins/inputwindow/scimlookuptable.h (1.9), "Exp", lines: +1 -0
		plugins/inputwindow/inputwindow.cpp (1.45.2.5), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.5), "Exp", lines: +20 -15
		plugins/inputwindow/scimlookuptable.h (1.6.2.3), "Exp", lines: +1 -0

	fixed: icons in lookuptable should be changed when setting is changed
	
2005-03-26 20:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.50), "Exp", lines: +35 -5
		plugins/inputwindow/inputwindow.h (1.34), "Exp", lines: +1 -0
		plugins/inputwindow/scimlistbox.cpp (1.21), "Exp", lines: +0 -2
		plugins/inputwindow/scimlookuptable.cpp (1.16), "Exp", lines: +0 -2
		plugins/inputwindow/inputwindow.cpp (1.45.2.4), "Exp", lines: +35 -5
		plugins/inputwindow/inputwindow.h (1.32.2.2), "Exp", lines: +1 -0
		plugins/inputwindow/scimlistbox.cpp (1.17.2.4), "Exp", lines: +0 -2
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.4), "Exp", lines: +0 -2

	fixed: detached lookuptable could not follow the cursor
	
2005-03-26 19:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.cpp (1.20), "Exp", lines: +0 -2
		plugins/inputwindow/scimlookuptable.cpp (1.15), "Exp", lines: +0 -3
		plugins/inputwindow/scimlistbox.cpp (1.17.2.3), "Exp", lines: +0 -2
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.3), "Exp", lines: +0 -3

	remove some useless redundancy instructions
	
2005-03-26 19:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.49), "Exp", lines: +28 -18
		plugins/inputwindow/inputwindow.h (1.33), "Exp", lines: +1 -0
		plugins/inputwindow/scimlistbox.cpp (1.19), "Exp", lines: +21 -8
		plugins/inputwindow/scimlistbox.h (1.19), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.14), "Exp", lines: +49 -9
		plugins/inputwindow/scimlookuptable.h (1.8), "Exp", lines: +6 -4
		plugins/inputwindow/scimstringrender.cpp (1.6), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.3), "Exp", lines: +28 -18
		plugins/inputwindow/inputwindow.h (1.32.2.1), "Exp", lines: +1 -0
		plugins/inputwindow/scimlistbox.cpp (1.17.2.2), "Exp", lines: +21 -8
		plugins/inputwindow/scimlistbox.h (1.17.2.2), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.2), "Exp", lines: +49 -9
		plugins/inputwindow/scimlookuptable.h (1.6.2.2), "Exp", lines: +6 -4
		plugins/inputwindow/scimstringrender.cpp (1.5.2.1), "Exp", lines: +1 -1

	added: lookuptable can be tear off again
	fixed: lookuptable could not shrink after re-attach
	fixed: lookuptable internal logic when manipulating candidates
	
2005-03-26 03:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.96.2.2), "Exp", lines: +123 -0
		NEWS (1.18.2.2), "Exp", lines: +9 -1
		configure.in.in (1.43.2.2), "Exp", lines: +1 -1
		doc/en/index.docbook (1.51.2.2), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.45.2.2), "Exp", lines: +11 -9
		plugins/inputwindow/scimlistbox.cpp (1.17.2.1), "Exp", lines: +8 -7
		plugins/inputwindow/scimlistbox.h (1.17.2.1), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.12.2.1), "Exp", lines: +10 -34
		plugins/inputwindow/scimlookuptable.h (1.6.2.1), "Exp", lines: +3 -4
		src/skimpluginmanager.cpp (1.25.2.4), "Exp", lines: +13 -5
		src/socketserverthread.cpp (1.62.2.4), "Exp", lines: +3 -0
		utils/scimdragableframe.cpp (1.5.2.1), "Exp", lines: +53 -26
		utils/scimdragableframe.h (1.4.2.1), "Exp", lines: +5 -2
		utils/scimmovehandle.cpp (1.4.2.1), "Exp", lines: +1 -1
		utils/scimtoolbar.cpp (1.6.2.1), "Exp", lines: +6 -1

	merged all changes from trunk
	
2005-03-26 03:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.98), "Exp", lines: +123 -0
		NEWS (1.20), "Exp", lines: +9 -1
		configure.in.in (1.45), "Exp", lines: +1 -1
		doc/en/index.docbook (1.53), "Exp", lines: +1 -1

	1.2.2 is ready (will release in branch skim_1_2)
	
2005-03-26 02:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.31), "Exp", lines: +13 -5
		src/socketserverthread.cpp (1.70), "Exp", lines: +3 -0

	fixed: forced start didn't behave as expected (exit immediately)
	
2005-03-26 02:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.48), "Exp", lines: +2 -0
		utils/scimdragableframe.cpp (1.7), "Exp", lines: +28 -19
		utils/scimdragableframe.h (1.6), "Exp", lines: +1 -1

	fixed: the input window was not kept visible when qt built-in
	preedit-area is used
	
2005-03-26 01:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.47), "Exp", lines: +9 -9
		plugins/inputwindow/scimlistbox.cpp (1.18), "Exp", lines: +8 -7
		plugins/inputwindow/scimlistbox.h (1.18), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.13), "Exp", lines: +10 -34
		plugins/inputwindow/scimlookuptable.h (1.7), "Exp", lines: +3 -4
		utils/scimdragableframe.cpp (1.6), "Exp", lines: +25 -7
		utils/scimdragableframe.h (1.5), "Exp", lines: +5 -2
		utils/scimmovehandle.cpp (1.5), "Exp", lines: +1 -1
		utils/scimtoolbar.cpp (1.7), "Exp", lines: +6 -1

	fixed: drawing issue of inputwindow (lookup table mainly)
	cleanup: useless features in lookup table: tear off
	performance: use timer to reduce adjustSize calls
	
2005-03-24 20:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54.2.2), "Exp", lines: +3 -0
		plugins/kdetraystatus/kdetraystatus.cpp (1.32.2.2), "Exp", lines: +40 -21
		plugins/kdetraystatus/kdetraystatus.h (1.12.2.2), "Exp", lines: +3 -1
		plugins/kdetraystatus/systemtrayplugin.cpp (1.5.2.1), "Exp", lines: +1 -0
		plugins/mainwindow/mainwindow.cpp (1.40.2.3), "Exp", lines: +29 -26
		plugins/mainwindow/mainwindow.h (1.22.2.2), "Exp", lines: +1 -0
		po/de.po (1.15.2.1), "Exp", lines: +37 -37
		po/desktop.pot (1.17.2.1), "Exp", lines: +1 -1
		po/fr.po (1.3.2.1), "Exp", lines: +37 -37
		po/it.po (1.3.2.1), "Exp", lines: +37 -37
		po/ja.po (1.18.2.1), "Exp", lines: +37 -37
		po/ko.po (1.19.2.1), "Exp", lines: +37 -37
		po/skim.pot (1.21.2.1), "Exp", lines: +37 -37
		po/zh_CN.po (1.24.2.1), "Exp", lines: +41 -40
		po/zh_TW.po (1.9.2.1), "Exp", lines: +37 -37
		src/skimglobalactions.cpp (1.28.2.2), "Exp", lines: +39 -26
		src/skimglobalactions.h (1.20.2.2), "Exp", lines: +4 -1
		src/skimpluginmanager.cpp (1.25.2.3), "Exp", lines: +9 -5
		src/socketserverthread.cpp (1.62.2.3), "Exp", lines: +12 -0
		src/socketserverthread.h (1.47.2.2), "Exp", lines: +5 -2

	refined reload mechanism, fixed all known crashes
	fixed: ondemand plugin action icon can not be display in the main toolbar
	
2005-03-23 18:56  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/desktop_file_list (1.6), "Exp", lines: +2 -2

	renamed config dir to setupui
	
2005-03-23 18:17  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		plugins/setupwindow/scim_hangul.kcfg (1.2)
		plugins/setupwindow/scim_hangul.kcfgc (1.2)
		plugins/setupwindow/scim_hangul_ui.ui (1.2)
		plugins/setupwindow/scimhangulsettingloader.cpp (1.3)
		plugins/setupwindow/scimhangulsettingloader.h (1.3)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.12)
	Changed:
		po/de.po (1.18), "Exp", lines: +48 -56
		po/desktop.pot (1.20), "Exp", lines: +9 -9
		po/desktop_de.po (1.10), "Exp", lines: +9 -9
		po/desktop_file_list (1.5), "Exp", lines: +1 -1
		po/desktop_fr.po (1.6), "Exp", lines: +9 -9
		po/desktop_it.po (1.6), "Exp", lines: +9 -9
		po/desktop_ja.po (1.7), "Exp", lines: +9 -9
		po/desktop_ko.po (1.9), "Exp", lines: +9 -9
		po/desktop_zh_CN.po (1.5), "Exp", lines: +9 -9
		po/desktop_zh_TW.po (1.6), "Exp", lines: +9 -9
		po/fr.po (1.6), "Exp", lines: +48 -56
		po/it.po (1.6), "Exp", lines: +48 -56
		po/ja.po (1.22), "Exp", lines: +48 -56
		po/ko.po (1.22), "Exp", lines: +48 -56
		po/skim.pot (1.24), "Exp", lines: +27 -56
		po/zh_CN.po (1.27), "Exp", lines: +48 -56
		po/zh_TW.po (1.12), "Exp", lines: +48 -56
		plugins/setupwindow/Makefile.am (1.19), "Exp", lines: +6 -10

	split scim-hangul setupui out
	
2005-03-20 19:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.36), "Exp", lines: +40 -21
		plugins/kdetraystatus/kdetraystatus.h (1.14), "Exp", lines: +3 -1
		plugins/kdetraystatus/systemtrayplugin.cpp (1.6), "Exp", lines: +1 -0
		plugins/mainwindow/mainwindow.cpp (1.46), "Exp", lines: +29 -26
		plugins/mainwindow/mainwindow.h (1.25), "Exp", lines: +1 -0
		src/main.cpp (1.49), "Exp", lines: +4 -4
		src/skimglobalactions.cpp (1.35), "Exp", lines: +39 -26
		src/skimglobalactions.h (1.24), "Exp", lines: +4 -1
		src/skimpluginmanager.cpp (1.30), "Exp", lines: +9 -5
		src/socketserverthread.cpp (1.69), "Exp", lines: +12 -0
		src/socketserverthread.h (1.52), "Exp", lines: +5 -2

	https://scim-im.org:2083/frontend/rvblue/stats/lastvistors.html
	
2005-03-17 19:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.45.2.1), "Exp", lines: +2 -1
		src/main.cpp (1.46.2.2), "Exp", lines: +3 -19
		src/skimpluginmanager.cpp (1.25.2.2), "Exp", lines: +5 -9
		src/socketserverthread.cpp (1.62.2.2), "Exp", lines: +5 -1
		utils/scimactions.cpp (1.26.2.2), "Exp", lines: +2 -2
		utils/scimactions.h (1.20.2.1), "Exp", lines: +2 -2

	merged latest bug fix and cleanup from HEAD
	
2005-03-17 19:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.48), "Exp", lines: +3 -19

	cleanup; use scim::scim_daemon instead our own one
	
2005-03-17 19:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.46), "Exp", lines: +2 -1
		src/skimpluginmanager.cpp (1.29), "Exp", lines: +5 -9
		src/socketserverthread.cpp (1.68), "Exp", lines: +5 -1
		utils/scimactions.cpp (1.28), "Exp", lines: +2 -2
		utils/scimactions.h (1.21), "Exp", lines: +2 -2

	fixed: ondemand plugin action icon can not be display in the main toolbar
	
2005-03-16 19:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.52), "Exp", lines: +2 -2

	updated docbook (merged from branch skim_1_2
	
2005-03-16 19:34  tag skim_1_2_1

2005-03-16 19:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.96.2.1), "Exp", lines: +184 -0
		NEWS (1.18.2.1), "Exp", lines: +19 -12
		doc/en/index.docbook (1.51.2.1), "Exp", lines: +2 -2
		plugins/mainwindow/mainwindow.cpp (1.40.2.2), "Exp", lines: +11 -1
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.15.2.1), "Exp", lines: +1 -0

	1.2.1 is ready
	
2005-03-16 19:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.97), "Exp", lines: +184 -0
		NEWS (1.19), "Exp", lines: +19 -12

	1.2.1 is ready (will be released under the branch skim_1_2
	
2005-03-16 19:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.45), "Exp", lines: +11 -1

	mainwindow context menu standalone SCIM helper module support
	
2005-03-16 19:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54.2.1), "Exp", lines: +3 -0
		configure.in.in (1.43.2.1), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.32.2.1), "Exp", lines: +15 -4
		plugins/kdetraystatus/kdetraystatus.h (1.12.2.1), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.40.2.1), "Exp", lines: +53 -40
		plugins/mainwindow/mainwindow.h (1.22.2.1), "Exp", lines: +1 -1
		src/main.cpp (1.46.2.1), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.28.2.1), "Exp", lines: +47 -7
		src/skimglobalactions.h (1.20.2.1), "Exp", lines: +6 -2
		src/skimplugin.desktop (1.11.2.1), "Exp", lines: +3 -0
		src/skimpluginmanager.cpp (1.25.2.1), "Exp", lines: +16 -3
		src/socketserverthread.cpp (1.62.2.1), "Exp", lines: +30 -9
		src/socketserverthread.h (1.47.2.1), "Exp", lines: +8 -2
		utils/scimactions.cpp (1.26.2.1), "Exp", lines: +2 -0

	created branch skim_1_2; merged all changes from HEAD since 1.2.0
	
2005-03-16 18:37  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		configure.files (1.1.1.1.2.1)
		stamp-h.in (1.1.1.1.2.1)

	remove useless generated files
	
2005-03-14 03:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.44), "Exp", lines: +23 -24

	fixed another crash issue with scim-input-pad
	
2005-03-14 03:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.34), "Exp", lines: +2 -1

	fixed compile issue in qt3.3.3
	
2005-03-13 19:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.16), "Exp", lines: +1 -0
		src/main.cpp (1.47), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.33), "Exp", lines: +6 -8
		src/skimglobalactions.h (1.23), "Exp", lines: +1 -1
		src/skimplugin.desktop (1.12), "Exp", lines: +3 -0
		src/skimpluginmanager.cpp (1.28), "Exp", lines: +9 -1
		src/socketserverthread.cpp (1.67), "Exp", lines: +13 -0
		src/socketserverthread.h (1.51), "Exp", lines: +4 -2

	desktop files store which scim modules can be ignored
	
2005-03-13 18:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.57), "Exp", lines: +1 -0
		plugins/mainwindow/mainwindow.cpp (1.43), "Exp", lines: +32 -23
		plugins/mainwindow/mainwindow.h (1.24), "Exp", lines: +1 -0

	fixed bug #1162274
	
2005-03-13 17:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.32), "Exp", lines: +2 -1

	fixed compile issue with lower version qt (hopefully)
	
2005-03-12 03:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.35), "Exp", lines: +7 -7

	reload self option should come first in the context menu
	
2005-03-12 03:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.31), "Exp", lines: +5 -2

	do not display scim-setup in standalone helper menu and fixed the issue of missing icon
	
2005-03-11 01:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.17), "Exp", lines: +44 -57
		po/desktop.pot (1.19), "Exp", lines: +9 -9
		po/desktop_de.po (1.9), "Exp", lines: +9 -9
		po/desktop_file_list (1.4), "Exp", lines: +1 -2
		po/desktop_fr.po (1.5), "Exp", lines: +9 -9
		po/desktop_it.po (1.5), "Exp", lines: +9 -9
		po/desktop_ja.po (1.6), "Exp", lines: +9 -9
		po/desktop_ko.po (1.8), "Exp", lines: +9 -9
		po/desktop_zh_CN.po (1.4), "Exp", lines: +9 -9
		po/desktop_zh_TW.po (1.5), "Exp", lines: +9 -9
		po/fr.po (1.5), "Exp", lines: +44 -57
		po/it.po (1.5), "Exp", lines: +44 -57
		po/ja.po (1.21), "Exp", lines: +44 -57
		po/ko.po (1.21), "Exp", lines: +44 -57
		po/skim.pot (1.23), "Exp", lines: +8 -57
		po/zh_CN.po (1.26), "Exp", lines: +44 -57
		po/zh_TW.po (1.11), "Exp", lines: +44 -57

	updated po files: removed scim-tables strings
	
2005-03-11 01:16  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		plugins/setupwindow/generictable.kcfg (1.4)
		plugins/setupwindow/generictable.kcfgc (1.2)
		plugins/setupwindow/generictableui.ui (1.4)
		plugins/setupwindow/scimtablesettingplugin.cpp (1.4)
		plugins/setupwindow/scimtablesettingplugin.h (1.4)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.13)
	Changed:
		configure.in.in (1.44), "Exp", lines: +1 -1
		plugins/setupwindow/Makefile.am (1.18), "Exp", lines: +3 -8

	split scim-tables settings out to scim-tables package
	bump to 1.2.1
	
2005-03-10 21:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.56), "Exp", lines: +0 -2
		plugins/mainwindow/mainwindow.cpp (1.42), "Exp", lines: +6 -5
		plugins/mainwindow/mainwindow.h (1.23), "Exp", lines: +0 -1

	fixed popupmenu issue: which is probably are qt-imm patch bug
	
2005-03-10 20:45  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.34), "Exp", lines: +11 -0
		src/skimglobalactions.cpp (1.30), "Exp", lines: +28 -0
		src/skimglobalactions.h (1.22), "Exp", lines: +4 -0
		src/socketserverthread.cpp (1.66), "Exp", lines: +5 -0
		src/socketserverthread.h (1.50), "Exp", lines: +3 -0

	standalone scim helper command support
	
2005-03-10 19:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.41), "Exp", lines: +7 -3

	adjustSize when mainwindow shown
	
2005-03-10 17:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.55), "Exp", lines: +4 -0
		plugins/kdetraystatus/kdetraystatus.cpp (1.33), "Exp", lines: +4 -4
		plugins/kdetraystatus/kdetraystatus.h (1.13), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.29), "Exp", lines: +15 -6
		src/skimglobalactions.h (1.21), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.65), "Exp", lines: +1 -3
		src/socketserverthread.h (1.49), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.27), "Exp", lines: +2 -0

	fixed bug 1159589: property handling issue when no property is registered by a IMEngine
	
2005-03-06 14:11  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.7)
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.4)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.13)
		plugins/setupwindow/smartpinyin.kcfg (1.4)
		plugins/setupwindow/smartpinyin.kcfgc (1.2)
		plugins/setupwindow/smartpinyinui.ui (1.6)
	Changed:
		plugins/setupwindow/Makefile.am (1.17), "Exp", lines: +6 -8
		po/de.po (1.16), "Exp", lines: +113 -151
		po/desktop.pot (1.18), "Exp", lines: +9 -9
		po/desktop_de.po (1.8), "Exp", lines: +10 -10
		po/desktop_file_list (1.3), "Exp", lines: +2 -1
		po/desktop_fr.po (1.4), "Exp", lines: +9 -9
		po/desktop_it.po (1.4), "Exp", lines: +11 -11
		po/desktop_ja.po (1.5), "Exp", lines: +9 -9
		po/desktop_ko.po (1.7), "Exp", lines: +9 -9
		po/desktop_zh_CN.po (1.3), "Exp", lines: +9 -9
		po/desktop_zh_TW.po (1.4), "Exp", lines: +9 -9
		po/fr.po (1.4), "Exp", lines: +102 -140
		po/it.po (1.4), "Exp", lines: +102 -140
		po/ja.po (1.20), "Exp", lines: +112 -150
		po/ko.po (1.20), "Exp", lines: +102 -140
		po/skim.pot (1.22), "Exp", lines: +13 -150
		po/zh_CN.po (1.25), "Exp", lines: +115 -152
		po/zh_TW.po (1.10), "Exp", lines: +109 -150

	splitted scim-pinyin configure dialog out and updated translations
	
2005-03-02 00:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ja.po (1.19), "Exp", lines: +24 -28

	updated ja translation
	
2005-02-28 22:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.27), "Exp", lines: +2 -3
		src/socketserverthread.cpp (1.64), "Exp", lines: +6 -2
		src/socketserverthread.h (1.48), "Exp", lines: +1 -0

	finally (hopefully) fixed the exit issue of skim/scim-qtimm when KDE session ends
	
2005-02-28 20:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.26), "Exp", lines: +6 -0
		src/socketserverthread.cpp (1.63), "Exp", lines: +5 -4

	skim should exit if panel exits (panel can exit when no connections are active and --no-stay is specified)
	
2005-02-28 16:33  tag skim_1_2_0

2005-02-28 16:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.25), "Exp", lines: +3 -1
		src/socketserverthread.cpp (1.62), "Exp", lines: +0 -1

	fixed another exit issue: when another panel is running, skim is started with option -f, skim can not exit cleanly
	
2005-02-28 16:13  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.45), "Exp", lines: +4 -4
		plugins/inputwindow/inputwindow.h (1.32), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.61), "Exp", lines: +2 -2
		src/socketserverthread.h (1.47), "Exp", lines: +2 -2

	more amd64 fix(continue)
	
2005-02-28 16:13  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.18), "Exp", lines: +8 -0

	updated helper doc
	
2005-02-28 00:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.96), "Exp", lines: +128 -0
		configure.in.in (1.43), "Exp", lines: +1 -1
		doc/en/index.docbook (1.51), "Exp", lines: +2 -2

	1.2.0 is ready
	
2005-02-28 00:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.h (1.46), "Exp", lines: +2 -2

	fixed amd64 compile issue (thanks to Federico Zenith)
	
2005-02-28 00:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_x.ui (1.10), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettingsui.ui (1.3), "Exp", lines: +1 -1

	fixed qt version issue in ui files
	
2005-02-28 00:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/generictable.kcfg (1.3), "Exp", lines: +10 -10
		plugins/setupwindow/generictableui.ui (1.3), "Exp", lines: +25 -25

	updated scim-tables config option paths
	
2005-02-28 00:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/Makefile.am (1.5), "Exp", lines: +1 -1
		utils/Makefile.am (1.11), "Exp", lines: +1 -1

	a better way to fix the problem: kconfig config module for scim can not be loaded due to symbal missing
	
2005-02-28 00:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.15), "Exp", lines: +79 -80
		po/desktop.pot (1.17), "Exp", lines: +9 -9
		po/desktop_de.po (1.7), "Exp", lines: +9 -9
		po/desktop_file_list (1.2), "Exp", lines: +1 -1
		po/desktop_fr.po (1.3), "Exp", lines: +9 -9
		po/desktop_it.po (1.3), "Exp", lines: +10 -10
		po/desktop_ja.po (1.4), "Exp", lines: +9 -9
		po/desktop_ko.po (1.6), "Exp", lines: +9 -9
		po/desktop_zh_CN.po (1.2), "Exp", lines: +9 -9
		po/desktop_zh_TW.po (1.3), "Exp", lines: +9 -9
		po/fr.po (1.3), "Exp", lines: +79 -80
		po/it.po (1.3), "Exp", lines: +79 -80
		po/ja.po (1.18), "Exp", lines: +79 -80
		po/ko.po (1.19), "Exp", lines: +79 -80
		po/skim.pot (1.21), "Exp", lines: +45 -74
		po/zh_CN.po (1.24), "Exp", lines: +64 -117
		po/zh_TW.po (1.9), "Exp", lines: +51 -74

	updated all translation files and updated zh_CN
	
2005-02-28 00:12  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_x.ui (1.9), "Exp", lines: +1 -1

	fixed buddy
	
2005-02-28 00:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.7), "Exp", lines: +0 -3
		plugins/setupwindow/scim_x.ui (1.8), "Exp", lines: +0 -6
		plugins/setupwindow/scimimenginesettingsui.ui (1.2), "Exp", lines: +0 -9
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.6), "Exp", lines: +2 -2
		plugins/setupwindow/smartpinyin.kcfg (1.3), "Exp", lines: +33 -33
		plugins/setupwindow/smartpinyinui.ui (1.5), "Exp", lines: +98 -107

	updated scim-pinyin config option paths and fixed some ui file issues
	
2005-02-28 00:07  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/Makefile.am (1.4), "Exp", lines: +1 -1
		utils/Makefile.am (1.10), "Exp", lines: +1 -1

	fixed: kconfig config module for scim can not be loaded due to symbal missing
	
2005-02-27 20:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.24), "Exp", lines: +2 -2
		src/socketserverthread.cpp (1.60), "Exp", lines: +20 -2
		src/socketserverthread.h (1.45), "Exp", lines: +3 -1

	exit procedure refined
	
2005-02-27 17:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.46), "Exp", lines: +4 -0

	specify QT_IM_MODULE=xim in skim itself to avoid indefinite loop in qt-3.3.4
	
2005-02-22 22:19  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		plugins/setupwindow/qtimm.kcfg (1.3)
		plugins/setupwindow/qtimm.kcfgc (1.2)
		plugins/setupwindow/qtimmui.ui (1.3)
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.5)
		plugins/setupwindow/scimqtimmsettingplugin.h (1.5)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.16)
	Added:
		scim_kdeutils.pc.in (1.1)
		skim.pc.in (1.1)
	Changed:
		.cvsignore (1.10), "Exp", lines: +1 -0
		Makefile.am (1.5), "Exp", lines: +4 -0
		configure.in.in (1.42), "Exp", lines: +2 -0
		plugins/setupwindow/Makefile.am (1.16), "Exp", lines: +4 -8
		src/Makefile.am (1.21), "Exp", lines: +3 -1
		utils/Makefile.am (1.9), "Exp", lines: +4 -1

	install skim.pc and scim_kdeutils.pc to support pkgconfig
	split qtimm config to its corresponding package
	
2005-02-19 17:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/Makefile.am (1.3), "Exp", lines: +1 -1

	kdeui is not required
	
2005-02-04 03:44  tag skim_1_1_0

2005-02-04 03:44  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_x.ui (1.7), "Exp", lines: +12 -12
		utils/scimkdeconfig.kcfg (1.22), "Exp", lines: +5 -5

	updated some config path for libscim
	
2005-02-03 05:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.95), "Exp", lines: +207 -0
		NEWS (1.17), "Exp", lines: +8 -0
		doc/en/index.docbook (1.50), "Exp", lines: +3 -3

	updated docs
	
2005-02-03 03:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.41), "Exp", lines: +1 -1

	1.1.0 requires scim 1.1.3
	
2005-01-31 13:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.13), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.13), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.11), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.14), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.12), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.15), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.12), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.15), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.13), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.11), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.15), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.15), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.16), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.15), "Exp", lines: +3 -0
		src/skim.desktop (1.14), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.10), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.11), "Exp", lines: +1 -0
		src/skimui.desktop (1.10), "Exp", lines: +1 -0

	updated italy translation in desktop files
	
2005-01-31 13:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.21), "Exp", lines: +4 -8
		plugins/setupwindow/scim_x.ui (1.6), "Exp", lines: +16 -2

	dynamic event flow option in X config dialog
	
2005-01-30 15:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.14), "Exp", lines: +189 -116
		po/desktop.pot (1.16), "Exp", lines: +1 -1
		po/desktop_fr.po (1.2), "Exp", lines: +3 -3
		po/desktop_it.po (1.2), "Exp", lines: +13 -7
		po/fr.po (1.2), "Exp", lines: +198 -124
		po/it.po (1.2), "Exp", lines: +193 -120
		po/ja.po (1.17), "Exp", lines: +188 -115
		po/ko.po (1.18), "Exp", lines: +188 -116
		po/skim.pot (1.20), "Exp", lines: +158 -109
		po/zh_CN.po (1.23), "Exp", lines: +191 -115
		po/zh_TW.po (1.8), "Exp", lines: +182 -115

	updated strings
	
2005-01-30 15:44  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.11), "Exp", lines: +1 -1

	fixed a compile warning
	
2005-01-30 15:43  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/scimimenginesettingsui.ui (1.1)

	added the missing file
	
2005-01-30 15:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.39), "Exp", lines: +5 -2
		plugins/setupwindow/Makefile.am (1.15), "Exp", lines: +2 -3
		plugins/setupwindow/scimimenginesettings.cpp (1.12), "Exp", lines: +170 -46
		plugins/setupwindow/scimimenginesettings.h (1.6), "Exp", lines: +4 -3
		src/main.cpp (1.45), "Exp", lines: +1 -2
		src/skimkeygrabber.cpp (1.6), "Exp", lines: +0 -14
		src/skimkeygrabber.h (1.5), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.23), "Exp", lines: +24 -1
		src/skimpluginmanager.h (1.11), "Exp", lines: +3 -0
		src/socketserverthread.h (1.44), "Exp", lines: +1 -1

	Edit Hotkeys support in IMEngines Config dialog
	fixed the exit crash issue(hopefully)
	copyright info updated
	
2005-01-30 15:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.54), "Exp", lines: +0 -3
		plugins/setupwindow/scimimenginesettings.cpp (1.11), "Exp", lines: +40 -3
		plugins/setupwindow/scimimenginesettings.h (1.5), "Exp", lines: +5 -0
		src/skimglobalactions.cpp (1.28), "Exp", lines: +105 -118
		src/skimglobalactions.h (1.20), "Exp", lines: +12 -17
		src/socketserverthread.cpp (1.59), "Exp", lines: +6 -7
		src/socketserverthread.h (1.43), "Exp", lines: +0 -26

	changed the internal manipulation mechanism of properties
	disableall and enableall buttons in IMEngine config dialog
	aCVS: ----------------------------------------------------------------------
	
2005-01-30 15:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.38), "Exp", lines: +0 -22
		src/skimpluginmanager.h (1.10), "Exp", lines: +0 -1
		src/socketserverthread.cpp (1.58), "Exp", lines: +1 -1
		src/socketserverthread.h (1.42), "Exp", lines: +3 -59

	cleanup
	
2005-01-30 15:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.40), "Exp", lines: +3 -3
		scim_panel_kde.kdevelop (1.13), "Exp", lines: +1 -3
		plugins/inputwindow/configinputwindow.cpp (1.4), "Exp", lines: +1 -1
		plugins/inputwindow/configinputwindow.h (1.3), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.cpp (1.44), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.h (1.31), "Exp", lines: +1 -1
		plugins/inputwindow/scimlineedit.cpp (1.15), "Exp", lines: +1 -1
		plugins/inputwindow/scimlineedit.h (1.9), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.cpp (1.17), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.h (1.17), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.cpp (1.12), "Exp", lines: +1 -1
		plugins/inputwindow/scimlookuptable.h (1.6), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringlistitem.cpp (1.10), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringlistitem.h (1.11), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringrender.cpp (1.5), "Exp", lines: +1 -1
		plugins/inputwindow/scimstringrender.h (1.5), "Exp", lines: +1 -1
		plugins/kdetraystatus/kcmloader.cpp (1.5), "Exp", lines: +1 -1
		plugins/kdetraystatus/kcmloader.h (1.5), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.32), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.h (1.12), "Exp", lines: +1 -1
		plugins/kdetraystatus/systemtrayplugin.cpp (1.5), "Exp", lines: +1 -1
		plugins/kdetraystatus/systemtrayplugin.h (1.3), "Exp", lines: +1 -1
		plugins/mainwindow/configmainwindow.cpp (1.3), "Exp", lines: +1 -1
		plugins/mainwindow/configmainwindow.h (1.3), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.40), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.h (1.22), "Exp", lines: +1 -1
		plugins/scimlauncher/scimlauncher.cpp (1.37), "Exp", lines: +12 -38
		plugins/scimlauncher/scimlauncher.h (1.16), "Exp", lines: +1 -1
		plugins/setupwindow/configskimplugins.cpp (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/configskimplugins.h (1.3), "Exp", lines: +1 -1
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.10), "Exp", lines: +1 -1
		plugins/setupwindow/scimglobalconfigplugin.h (1.6), "Exp", lines: +1 -1
		plugins/setupwindow/scimhangulsettingloader.cpp (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scimhangulsettingloader.h (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.cpp (1.10), "Exp", lines: +1 -1
		plugins/setupwindow/scimimenginesettings.h (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/scimqtimmsettingplugin.h (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.34), "Exp", lines: +1 -1
		plugins/setupwindow/scimsetupwindow.h (1.17), "Exp", lines: +1 -1
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.5), "Exp", lines: +1 -1
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.3), "Exp", lines: +1 -1
		plugins/setupwindow/scimtablesettingplugin.cpp (1.3), "Exp", lines: +1 -1
		plugins/setupwindow/scimtablesettingplugin.h (1.3), "Exp", lines: +1 -1
		plugins/setupwindow/scimxsettings.cpp (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/scimxsettings.h (1.3), "Exp", lines: +1 -1
		src/main.cpp (1.44), "Exp", lines: +21 -22
		src/scimhelpdialog.cpp (1.3), "Exp", lines: +1 -1
		src/scimhelpdialog.h (1.3), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.27), "Exp", lines: +18 -20
		src/skimglobalactions.h (1.19), "Exp", lines: +10 -3
		src/skimkeygrabber.cpp (1.5), "Exp", lines: +1 -1
		src/skimkeygrabber.h (1.4), "Exp", lines: +1 -1
		src/skimplugin.cpp (1.5), "Exp", lines: +1 -1
		src/skimplugin.h (1.3), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.22), "Exp", lines: +18 -7
		src/skimpluginmanager.h (1.9), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.57), "Exp", lines: +171 -653
		src/socketserverthread.h (1.41), "Exp", lines: +110 -53
		utils/kautocmodule.cpp (1.6), "Exp", lines: +1 -1
		utils/kautocmodule.h (1.4), "Exp", lines: +1 -1
		utils/scimactions.cpp (1.26), "Exp", lines: +1 -1
		utils/scimactions.h (1.20), "Exp", lines: +1 -1
		utils/scimdragableframe.cpp (1.5), "Exp", lines: +1 -1
		utils/scimdragableframe.h (1.4), "Exp", lines: +1 -1
		utils/scimmovehandle.cpp (1.4), "Exp", lines: +1 -1
		utils/scimmovehandle.h (1.4), "Exp", lines: +1 -1
		utils/scimtoolbar.cpp (1.6), "Exp", lines: +1 -1
		utils/scimtoolbar.h (1.4), "Exp", lines: +1 -1
		utils/scimxmlguibuilder.cpp (1.4), "Exp", lines: +1 -1
		utils/scimxmlguibuilder.h (1.4), "Exp", lines: +1 -1

	upgraded to work with libscim 1.1.x (CVS HEAD); cleanup; updated copyright info
	
2005-01-30 14:59  James Su <suzhe@tsinghua.org.cn>

	Added:
		po/desktop_it.po (1.1)
		po/it.po (1.1)
	Changed:
		AUTHORS (1.9), "Exp", lines: +2 -0
		admin/cvs.sh (1.5), "Exp", lines: +1 -1

	Added it.po
	
2005-01-20 08:34  tag skim_1_0_3

2005-01-20 08:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.94), "Exp", lines: +76 -0
		NEWS (1.16), "Exp", lines: +5 -0
		README (1.11), "Exp", lines: +1 -4
		configure.in.in (1.39), "Exp", lines: +2 -2
		doc/en/index.docbook (1.49), "Exp", lines: +6 -7

	1.0.3 is ready
	
2005-01-20 08:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.6), "Exp", lines: +1 -1
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.4), "Exp", lines: +3 -0
		plugins/setupwindow/smartpinyin.kcfg (1.2), "Exp", lines: +5 -1
		plugins/setupwindow/smartpinyinui.ui (1.4), "Exp", lines: +26 -3

	added an option missing in scim-chinese: enable ambiguities
	
2004-12-08 02:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.12), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.10), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.13), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.11), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.14), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.11), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.14), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.10), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.14), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.14), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.11), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.15), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.14), "Exp", lines: +3 -0
		src/skim.desktop (1.13), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.9), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.10), "Exp", lines: +1 -0
		src/skimui.desktop (1.9), "Exp", lines: +1 -0

	updated desktop files for french translation
	
2004-12-08 02:48  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.5), "Exp", lines: +7 -13
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.9), "Exp", lines: +25 -15
		plugins/setupwindow/scimglobalconfigplugin.h (1.5), "Exp", lines: +1 -2

	fixed bug #1070591
	
2004-12-07 18:00  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/Makefile.am (1.2), "Exp", lines: +2 -0
		src/Makefile.am (1.20), "Exp", lines: +2 -0
		utils/Makefile.am (1.8), "Exp", lines: +1 -1

	fixed bug #
	
2004-12-07 17:53  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/desktop_fr.po (1.1)
		po/fr.po (1.1)

	added french translation, thanks to Damien Menanteau <damien.menanteau ZAI cegetel.net>
	
2004-10-08 00:14  tag skim_1_0_2

2004-10-08 00:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.53), "Exp", lines: +3 -0
		configure.in.in (1.38), "Exp", lines: +1 -1
		doc/en/index.docbook (1.48), "Exp", lines: +11 -5
		plugins/setupwindow/scimsetupwindow.cpp (1.33), "Exp", lines: +1 -1

	1.0.2 is ready && updated English doc
	
2004-10-07 23:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/libtool.m4.in (1.5), "Exp", lines: +240 -388

	this is the right file for the last commit
	
2004-10-07 14:54  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.43), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.cpp (1.16), "Exp", lines: +12 -11
		plugins/inputwindow/scimstringrender.h (1.4), "Exp", lines: +1 -1
		plugins/kdetraystatus/systemtrayplugin.cpp (1.4), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.cpp (1.39), "Exp", lines: +1 -1
		plugins/scimlauncher/scimlauncher.cpp (1.36), "Exp", lines: +1 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.32), "Exp", lines: +1 -1

	fixed bug #1042106
	remove some extra ;
	
2004-10-07 14:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/libtool.m4.in (1.4), "Exp", lines: +14 -0

	reverted to the libtool.m4.in in the kde distribution, for the new one does not generate *.la files correctly. however, the reverted one is patched with the icc/icpc compiler support
	
2004-10-05 18:23  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		acinclude.m4 (1.5)
	Changed:
		admin/libtool.m4.in (1.3), "Exp", lines: +384 -238

	updated libtool to 1.5.8
	
2004-10-04 18:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.h (1.18), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.56), "Exp", lines: +0 -6
		src/socketserverthread.h (1.40), "Exp", lines: +1 -1
		utils/scimactions.h (1.19), "Exp", lines: +2 -2

	get rid of some remarks identified by intel compiler
	
2004-09-27 04:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.92), "Exp", lines: +92 -0
		NEWS (1.13), "Exp", lines: +6 -0

	updated helper files
	
2004-09-27 03:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.37), "Exp", lines: +1 -1
		doc/en/index.docbook (1.47), "Exp", lines: +34 -34

	version 1.0.1 and doc update
	
2004-09-26 23:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		skim.spec.in (1.4), "Exp", lines: +13 -10
		po/de.po (1.13), "Exp", lines: +4 -4
		po/ja.po (1.16), "Exp", lines: +3 -3
		po/ko.po (1.17), "Exp", lines: +14 -14

	updated spec file and de ja ko translation
	
2004-09-25 16:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.22), "Exp", lines: +7 -8

	updated zh_CN translation
	
2004-09-25 16:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.12), "Exp", lines: +53 -49
		po/desktop.pot (1.15), "Exp", lines: +1 -1
		po/ja.po (1.15), "Exp", lines: +51 -47
		po/ko.po (1.16), "Exp", lines: +559 -557
		po/skim.pot (1.19), "Exp", lines: +51 -47
		po/zh_CN.po (1.21), "Exp", lines: +57 -55
		po/zh_TW.po (1.7), "Exp", lines: +55 -49

	updated pot/po
	
2004-09-22 22:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim_panel_kde.kdevelop (1.12), "Exp", lines: +28 -2
		plugins/setupwindow/scim_x.ui (1.5), "Exp", lines: +10 -2
		src/Makefile.am (1.19), "Exp", lines: +3 -0
		src/main.cpp (1.43), "Exp", lines: +3 -0
		src/skim.desktop (1.12), "Exp", lines: +5 -0
		utils/scimkdeconfig.kcfg (1.20), "Exp", lines: +6 -0

	added a new option: Autostart in the config dialog
	
2004-09-19 03:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.35), "Exp", lines: +1 -33
		plugins/scimlauncher/scimlauncher.h (1.15), "Exp", lines: +0 -1

	revert to a previous version: the potential crash was not fixed by the previous commit
	
2004-09-13 13:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.42), "Exp", lines: +8 -7
		plugins/inputwindow/inputwindow.h (1.30), "Exp", lines: +1 -1
		plugins/inputwindow/scimlistbox.cpp (1.15), "Exp", lines: +6 -1
		plugins/inputwindow/scimlistbox.h (1.16), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.55), "Exp", lines: +4 -1
		src/socketserverthread.h (1.39), "Exp", lines: +2 -1

	display less candidates in the lookuptable if it is too long
	
2004-09-13 13:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.h (1.21), "Exp", lines: +0 -2

	cleanup
	
2004-09-12 21:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.34), "Exp", lines: +39 -7
		plugins/scimlauncher/scimlauncher.h (1.14), "Exp", lines: +1 -0
		src/socketserverthread.cpp (1.54), "Exp", lines: +2 -2

	fixed (potential) crash if skim is started before startkde and scim server plugin is enabled
	
2004-09-09 02:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/de/index.docbook (1.4), "Exp", lines: +2 -2
		doc/en/index.docbook (1.46), "Exp", lines: +1 -1

	typo
	
2004-09-08 20:19  tag skim_1_0_0

2004-09-08 20:19  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.91), "Exp", lines: +244 -0
		NEWS (1.12), "Exp", lines: +14 -0
		doc/de/index.docbook (1.3), "Exp", lines: +1 -1

	version 1.0.0 is ready
	
2004-09-08 19:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.11), "Exp", lines: +9 -10

	updated de translation
	
2004-09-08 14:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ja.po (1.14), "Exp", lines: +5 -5
		po/ko.po (1.15), "Exp", lines: +565 -562
		po/zh_TW.po (1.6), "Exp", lines: +19 -18

	updated translations
	
2004-09-07 15:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.10), "Exp", lines: +19 -7
		po/desktop.pot (1.14), "Exp", lines: +1 -1
		po/ja.po (1.13), "Exp", lines: +19 -7
		po/ko.po (1.14), "Exp", lines: +19 -7
		po/skim.pot (1.18), "Exp", lines: +18 -6
		po/zh_CN.po (1.20), "Exp", lines: +34 -17
		po/zh_TW.po (1.5), "Exp", lines: +18 -6
		src/main.cpp (1.42), "Exp", lines: +9 -3

	added 3 new authors
	
2004-09-06 23:41  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		doc/de/Makefile.am (1.1)
		doc/de/index.docbook (1.1)
		doc/de/skim01a.png (1.1)
		doc/de/skim02a.png (1.1)
		doc/de/skim04a.png (1.1)
		doc/de/skim24c.png (1.1)
		doc/de/skim_choose_ime.png (1.1)
		doc/de/skim_configuration1.png (1.1)
		doc/de/skim_configuration10.png (1.1)
		doc/de/skim_configuration11.png (1.1)
		doc/de/skim_configuration110.png (1.1)
		doc/de/skim_configuration111.png (1.1)
		doc/de/skim_configuration112.png (1.1)
		doc/de/skim_configuration12.png (1.1)
		doc/de/skim_configuration13.png (1.1)
		doc/de/skim_configuration14.png (1.1)
		doc/de/skim_configuration15.png (1.1)
		doc/de/skim_configuration16.png (1.1)
		doc/de/skim_configuration17.png (1.1)
		doc/de/skim_configuration18.png (1.1)
		doc/de/skim_configuration19.png (1.1)
		doc/de/skim_configuration2.png (1.1)
		doc/de/skim_configuration3.png (1.1)
		doc/de/skim_configuration4.png (1.1)
		doc/de/skim_configuration5.png (1.1)
		doc/de/skim_configuration6.png (1.1)
		doc/de/skim_configuration7.png (1.1)
		doc/de/skim_configuration8.png (1.1)
		doc/de/skim_configuration9.png (1.1)
		doc/de/skim_contextmenu.png (1.1)
		doc/de/skim_toolbar1.png (1.1)
		doc/de/skim_toolbar3.png (1.1)
		doc/de/skim_toolbar4.png (1.1)
		doc/de/skim_toolbar6.png (1.1)
		doc/de/skim_toolbar8.png (1.1)
	Changed:
		doc/Makefile.am (1.3), "Exp", lines: +1 -1

	added German Handbook
	
2004-09-05 21:59  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimxsettings.cpp (1.3), "Exp", lines: +0 -4

	cleanup
	
2004-09-05 21:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.31), "Exp", lines: +3 -3
		src/skimglobalactions.cpp (1.26), "Exp", lines: +1 -1

	cleanup
	
2004-09-05 20:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.41), "Exp", lines: +0 -3

	cleanup
	
2004-09-05 19:51  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		icons/configure.png (1.2)
		icons/full_width_letter.png (1.2)
		icons/full_width_punct.png (1.2)
		icons/half_width_letter.png (1.2)
		icons/half_width_punct.png (1.2)
		icons/help.png (1.2)
		icons/keyboard.png (1.2)
	Added:
		icons/scim_help.png (1.1)
	Changed:
		icons/Makefile.am (1.7), "Exp", lines: +2 -6
		icons/pin_down.png (1.4), "Exp", lines: +6 -2
		icons/pin_up.png (1.4), "Exp", lines: +8 -5

	get rid of unused icons and added scim_help.png
	
2004-09-05 19:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.38), "Exp", lines: +1 -2

	cleanup
	
2004-09-05 19:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/Makefile.am (1.13), "Exp", lines: +2 -2
		plugins/inputwindow/inputwindow.cpp (1.40), "Exp", lines: +2 -2
		plugins/inputwindow/inputwindow.h (1.29), "Exp", lines: +1 -1

	cleanup
	
2004-09-04 00:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.po (1.19), "Exp", lines: +6 -14

	updated zh_CN translation
	
2004-09-03 18:32  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.45), "Exp", lines: +2 -2
		po/de.po (1.9), "Exp", lines: +40 -23
		po/desktop.pot (1.13), "Exp", lines: +1 -1
		po/desktop_de.po (1.6), "Exp", lines: +9 -6
		po/ja.po (1.12), "Exp", lines: +15 -10
		po/ko.po (1.13), "Exp", lines: +10 -7
		po/skim.pot (1.17), "Exp", lines: +10 -6
		po/zh_CN.po (1.18), "Exp", lines: +14 -9
		po/zh_TW.po (1.4), "Exp", lines: +11 -7
		src/main.cpp (1.41), "Exp", lines: +6 -3

	updated the kaboutdata and pot/po files
	
2004-09-03 18:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.30), "Exp", lines: +1 -1
		src/main.cpp (1.40), "Exp", lines: +1 -0

	added Kitae to the credit in the KAboutData
	
2004-09-03 18:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.31), "Exp", lines: +6 -1

	Set the Small icon size to the one specified for KDE MainToolbar group icons
	
2004-09-03 17:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skim.desktop (1.11), "Exp", lines: +1 -1

	remove the extension of the icon: svgz version of the icon will not be used, the png one is used in kde 3.2/3.3
	
2004-09-03 17:19  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		icons/skim.png (1.2)
		src/hi16-app-scim_panel_kde.png (1.3)
		src/hi32-app-scim_panel_kde.png (1.3)
	Added:
		src/cr32-app-skim.png (1.1)
		src/crsc-app-skim.svgz (1.1)
	Changed:
		configure.in.in (1.36), "Exp", lines: +1 -1
		icons/Makefile.am (1.6), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.cpp (1.30), "Exp", lines: +6 -6
		src/Makefile.am (1.18), "Exp", lines: +1 -1
		src/skim.desktop (1.10), "Exp", lines: +1 -1

	Brand new icon for skim (thanks to Kitae)
	Moved the skim icon to src
	Fixed two icon size issues in kdesystray
	Removed useless old icons
	Version 1.0.0
	
2004-09-02 03:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.44), "Exp", lines: +22 -16

	cleanup and added the new skim logo (commentted out for normal doc)
	
2004-09-02 01:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.41), "Exp", lines: +20 -9

	doc: added 'howto add new utf8 locales'
	
2004-09-02 00:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.40), "Exp", lines: +42 -17

	updated doc:
	added notice about IMEngine
	added info about howto install from RPM
	added art designer acknolegement
	
2004-08-31 20:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.25), "Exp", lines: +3 -2
		src/socketserverthread.cpp (1.53), "Exp", lines: +0 -237
		src/socketserverthread.h (1.38), "Exp", lines: +1 -4

	socket config support is no longer needed; cleanup
	
2004-08-31 19:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.24), "Exp", lines: +7 -13
		src/skimglobalactions.h (1.17), "Exp", lines: +0 -2

	settle popupmenu when the content changes
	
2004-08-31 02:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.29), "Exp", lines: +0 -1
		plugins/setupwindow/scimsetupwindow.cpp (1.29), "Exp", lines: +5 -5
		src/skimglobalactions.cpp (1.23), "Exp", lines: +1 -7
		src/socketserverthread.cpp (1.52), "Exp", lines: +1 -55
		utils/kautocmodule.cpp (1.5), "Exp", lines: +0 -1

	cleanup
	
2004-08-31 02:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.28), "Exp", lines: +3 -7
		plugins/kdetraystatus/kdetraystatus.h (1.11), "Exp", lines: +1 -1
		src/skimglobalactions.cpp (1.22), "Exp", lines: +47 -38
		src/skimglobalactions.h (1.16), "Exp", lines: +2 -1
		src/socketserverthread.cpp (1.51), "Exp", lines: +2 -9
		utils/scimactions.cpp (1.25), "Exp", lines: +25 -7
		utils/scimactions.h (1.18), "Exp", lines: +4 -0

	fixed the factory menu shortcut support bug
	
2004-08-28 01:29  tag skim_0_9_7

2004-08-28 01:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.90), "Exp", lines: +1 -1
		NEWS (1.11), "Exp", lines: +11 -0

	updated helper files
	
2004-08-28 01:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.89), "Exp", lines: +564 -0
		doc/en/index.docbook (1.39), "Exp", lines: +2 -2

	ready for 0.9.7
	
2004-08-28 01:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.21), "Exp", lines: +0 -32
		utils/scimactions.cpp (1.24), "Exp", lines: +4 -7

	cleanup
	
2004-08-27 20:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ja.po (1.11), "Exp", lines: +16 -14

	updated ja translation http://freedesktop.org/pipermail/scim/2004-August/000831.html
	
2004-08-27 15:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ko.po (1.12), "Exp", lines: +7 -9

	updated ko translation http://freedesktop.org/pipermail/scim/2004-August/000829.html
	
2004-08-27 14:31  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.23), "Exp", lines: +17 -2
		utils/scimactions.h (1.17), "Exp", lines: +10 -1

	get rid of extra space in text buttons of mainwindow
	
2004-08-27 14:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ko.po (1.11), "Exp", lines: +11 -12

	updated some fuzzy translation
	
2004-08-26 20:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.39), "Exp", lines: +2 -1

	when no custom font is set, unset current font
	
2004-08-26 20:38  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.8), "Exp", lines: +30 -34
		po/desktop_de.po (1.5), "Exp", lines: +6 -9

	updated de translation: http://freedesktop.org/pipermail/scim/2004-August/000822.html
	
2004-08-26 16:06  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.39), "Exp", lines: +1 -1

	typo
	
2004-08-26 15:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/de.po (1.7), "Exp", lines: +2 -2
		po/desktop.pot (1.12), "Exp", lines: +1 -1
		po/ja.po (1.10), "Exp", lines: +2 -2
		po/ko.po (1.10), "Exp", lines: +3 -2
		po/skim.pot (1.16), "Exp", lines: +2 -2
		po/zh_CN.po (1.17), "Exp", lines: +9 -10

	correct a typo in pot file
	
2004-08-26 03:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.37), "Exp", lines: +1 -1
		doc/en/index.docbook (1.38), "Exp", lines: +1 -1

	typo
	
2004-08-26 03:13  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/Makefile.am (1.4), "Exp", lines: +1 -1
		doc/en/index.docbook (1.36), "Exp", lines: +50 -35

	all translators are added
	
2004-08-26 02:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.14), "Exp", lines: +1 -1
		po/de.po (1.6), "Exp", lines: +13 -13
		po/desktop.pot (1.11), "Exp", lines: +1 -1
		po/desktop_de.po (1.4), "Exp", lines: +3 -3
		po/skim.pot (1.15), "Exp", lines: +1 -1

	updated de translation (http://freedesktop.org/pipermail/scim/2004-August/000810.html)
	
2004-08-26 02:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/am_edit (1.5), "Exp", lines: +2 -2
		plugins/scimlauncher/skimplugin_scim.desktop (1.10), "Exp", lines: +1 -1
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.13), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.11), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.13), "Exp", lines: +2 -1
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.13), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.13), "Exp", lines: +2 -2
		po/de.po (1.5), "Exp", lines: +24 -15
		po/desktop.pot (1.10), "Exp", lines: +1 -1
		po/ja.po (1.9), "Exp", lines: +69 -12
		po/ko.po (1.9), "Exp", lines: +25 -15
		po/skim.pot (1.14), "Exp", lines: +23 -15
		po/zh_CN.po (1.16), "Exp", lines: +24 -15
		po/zh_TW.po (1.3), "Exp", lines: +24 -15
		src/skimkcmplugin.desktop (1.8), "Exp", lines: +1 -1
		src/skimplugin.desktop (1.9), "Exp", lines: +1 -1
		src/skimui.desktop (1.8), "Exp", lines: +1 -1

	updated desktop file for ja and merge in latest string into po/pot files
	
2004-08-26 02:36  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		po/de.gmo (1.5)
		po/desktop_de.gmo (1.4)
		po/desktop_ja.gmo (1.3)
		po/desktop_ko.gmo (1.5)
		po/desktop_zh_CN.gmo (1.3)
		po/desktop_zh_TW.gmo (1.3)
		po/ja.gmo (1.7)
		po/ko.gmo (1.11)
		po/zh_CN.gmo (1.17)
		po/zh_TW.gmo (1.3)
	Changed:
		po/.cvsignore (1.3), "Exp", lines: +1 -23
		po/desktop_ja.po (1.3), "Exp", lines: +14 -14
		po/ja.po (1.8), "Exp", lines: +13 -61

	removed all *.gmo and updated ja translation (http://freedesktop.org/pipermail/scim/2004-August/000782.html)
	
2004-08-26 02:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.8), "Exp", lines: +3 -1
		src/main.cpp (1.37), "Exp", lines: +7 -1
		src/skimpluginmanager.cpp (1.20), "Exp", lines: +7 -9

	flush scim global settings after user click apply/ok button
	new -f (force) option for skim: if given this option, even scim-panel-gtk is running, skim will start, so users have a chance to use the setting dialog in skim (notice: if a panel is running while skim starts, skim will disable its built-in panel socket server, that means you are still using scim-panel-gtk as the panel. If you want to use skim, you should first exit scim-panel-gtk and restart skim, or simply by restarting your KDE session given skim is running ;) )
	
2004-08-26 01:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		skim.spec.in (1.3), "Exp", lines: +4 -4
		plugins/setupwindow/scimsetupwindow.cpp (1.28), "Exp", lines: +21 -0
		plugins/setupwindow/scimsetupwindow.h (1.16), "Exp", lines: +2 -1
		scim/config/scim_kconfig_config.cpp (1.9), "Exp", lines: +11 -15
		src/main.cpp (1.36), "Exp", lines: +1 -1
		src/socketserverthread.cpp (1.50), "Exp", lines: +30 -16
		src/socketserverthread.h (1.37), "Exp", lines: +4 -4

	fixed scim-lib setting reload issues: when click apply/ok button in the configure dialog, scim won't reload it settings;
	-c <name> option for skim is implemented
	
2004-08-25 17:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.7), "Exp", lines: +6 -0

	fixed: after changing the default config module, skim would not exit cleanly
	
2004-08-24 18:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_x.ui (1.4), "Exp", lines: +49 -1
		utils/scimkdeconfig.kcfg (1.19), "Exp", lines: +5 -1

	new option /FrontEnd/Keys/ShowFactoryMenu setup ui for scim-lib
	
2004-08-24 18:54  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/Makefile.am (1.17), "Exp", lines: +1 -1
		utils/Makefile.am (1.7), "Exp", lines: +1 -1

	move libskim and libscim-kdeutils to
	
2004-08-24 18:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/am_edit (1.4), "Exp", lines: +4 -3
		admin/cvs.sh (1.4), "Exp", lines: +2 -1
		po/Makefile.am (1.11), "Exp", lines: +3 -2
		po/de.gmo (1.4), "Exp", lines: +1 -1
		po/de.po (1.4), "Exp", lines: +52 -5
		po/desktop.pot (1.9), "Exp", lines: +1 -1
		po/desktop_de.gmo (1.3), "Exp", lines: +1 -1
		po/desktop_de.po (1.3), "Exp", lines: +9 -6
		po/desktop_zh_TW.gmo (1.2), "Exp", lines: +1 -1
		po/desktop_zh_TW.po (1.2), "Exp", lines: +3 -3
		po/skim.pot (1.13), "Exp", lines: +1 -1
		po/zh_TW.gmo (1.2), "Exp", lines: +1 -1
		po/zh_TW.po (1.2), "Exp", lines: +55 -7

	verbos when updated translation
	
2004-08-24 17:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.11), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.10), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.13), "Exp", lines: +2 -2
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.12), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.10), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.13), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.12), "Exp", lines: +1 -1
		po/de.gmo (1.3), "Exp", lines: +29 -29
		po/de.po (1.3), "Exp", lines: +15 -63
		po/desktop_de.gmo (1.2), "Exp", lines: +7 -7
		po/desktop_de.po (1.2), "Exp", lines: +15 -18

	updated de translation
	
2004-08-24 16:38  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/desktop_zh_TW.gmo (1.1)
		po/desktop_zh_TW.po (1.1)
		po/zh_TW.gmo (1.1)
		po/zh_TW.po (1.1)
	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.10), "Exp", lines: +2 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.9), "Exp", lines: +1 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.9), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.11), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.12), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.12), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.12), "Exp", lines: +3 -0
		po/desktop.pot (1.8), "Exp", lines: +1 -1
		po/ko.gmo (1.10), "Exp", lines: +1 -1
		po/skim.pot (1.12), "Exp", lines: +1 -1
		po/zh_CN.gmo (1.16), "Exp", lines: +1 -1
		src/skim.desktop (1.9), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.7), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.8), "Exp", lines: +1 -0
		src/skimui.desktop (1.7), "Exp", lines: +1 -0

	added zh_TW translation (thanks to Jim Huang <jserv@kaffe.org>)
	
2004-08-24 15:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.35), "Exp", lines: +1 -1
		po/desktop.pot (1.7), "Exp", lines: +1 -1
		po/ko.gmo (1.9), "Exp", lines: +26 -31
		po/ko.po (1.8), "Exp", lines: +19 -14
		po/skim.pot (1.11), "Exp", lines: +1 -1
		po/zh_CN.po (1.15), "Exp", lines: +5 -4

	updated ko translation and pump version to 0.9.7
	
2004-08-24 04:14  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/Makefile.am (1.10), "Exp", lines: +1 -1
		po/de.gmo (1.2), "Exp", lines: +1 -1
		po/de.po (1.2), "Exp", lines: +49 -1
		po/desktop.pot (1.6), "Exp", lines: +1 -1
		po/desktop_ko.gmo (1.4), "Exp", lines: +4 -4
		po/desktop_ko.po (1.5), "Exp", lines: +2 -3
		po/ja.gmo (1.6), "Exp", lines: +1 -1
		po/ja.po (1.7), "Exp", lines: +49 -1
		po/ko.gmo (1.8), "Exp", lines: +1 -1
		po/ko.po (1.7), "Exp", lines: +49 -1
		po/skim.pot (1.10), "Exp", lines: +49 -1
		po/zh_CN.gmo (1.15), "Exp", lines: +31 -28
		po/zh_CN.po (1.14), "Exp", lines: +57 -6
		src/main.cpp (1.35), "Exp", lines: +3 -3

	fixed typo in main.cpp which prevent translator tab from displaying in the about dialog
	
2004-08-23 23:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.11), "Exp", lines: +1 -1
		po/desktop_ko.po (1.4), "Exp", lines: +4 -3
		po/ko.gmo (1.7), "Exp", lines: +10 -9

	updated typo in ko translation
	
2004-08-23 19:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ko.gmo (1.6), "Exp", lines: +30 -31
		po/ko.po (1.6), "Exp", lines: +14 -16

	updated ko translation
	
2004-08-23 19:16  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/de.gmo (1.1)
		po/de.po (1.1)
		po/desktop_de.gmo (1.1)
		po/desktop_de.po (1.1)
	Changed:
		AUTHORS (1.7), "Exp", lines: +3 -2
		bootstrap (1.11), "Exp", lines: +2 -1
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.9), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.8), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.8), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.8), "Exp", lines: +1 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.8), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.10), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.10), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.11), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.11), "Exp", lines: +3 -0
		po/desktop_ja.gmo (1.2), "Exp", lines: +1 -1
		po/desktop_ja.po (1.2), "Exp", lines: +3 -5
		po/desktop_ko.gmo (1.3), "Exp", lines: +10 -9
		po/desktop_ko.po (1.3), "Exp", lines: +6 -5
		po/ja.gmo (1.5), "Exp", lines: +1 -1
		po/ja.po (1.6), "Exp", lines: +3 -3
		po/zh_CN.gmo (1.14), "Exp", lines: +1 -1
		po/zh_CN.po (1.13), "Exp", lines: +5 -4
		src/skim.desktop (1.8), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.6), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.7), "Exp", lines: +1 -0
		src/skimui.desktop (1.6), "Exp", lines: +1 -0

	add German translation (thanks to Jan Hefti <j.hefti@hamburg.de>)
	
2004-08-23 18:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.8), "Exp", lines: +3 -3
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.9), "Exp", lines: +2 -2
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.7), "Exp", lines: +2 -2
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.10), "Exp", lines: +2 -2
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.7), "Exp", lines: +2 -2
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.10), "Exp", lines: +2 -2
		plugins/scimlauncher/skimplugin_scim.desktop (1.7), "Exp", lines: +2 -2
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.9), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.7), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.7), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.9), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.9), "Exp", lines: +1 -2
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.8), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.8), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.10), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.10), "Exp", lines: +3 -3
		po/desktop_ko.gmo (1.2), "Exp", lines: +9 -7
		po/desktop_ko.po (1.2), "Exp", lines: +38 -38
		src/skim.desktop (1.7), "Exp", lines: +2 -2
		src/skimkcmplugin.desktop (1.5), "Exp", lines: +1 -1
		src/skimplugin.desktop (1.6), "Exp", lines: +1 -1
		src/skimui.desktop (1.5), "Exp", lines: +1 -1

	updated ko desktop file translation
	
2004-08-23 18:51  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/desktop_ja.gmo (1.1)
		po/desktop_ja.po (1.1)
	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.7), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.6), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.6), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.6), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.8), "Exp", lines: +1 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.9), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.9), "Exp", lines: +3 -0
		po/Makefile.am (1.9), "Exp", lines: +20 -8
		po/desktop.pot (1.5), "Exp", lines: +1 -1
		po/ja.gmo (1.4), "Exp", lines: +26 -25
		po/ja.po (1.5), "Exp", lines: +10 -11
		po/skim.pot (1.9), "Exp", lines: +1 -1
		src/skim.desktop (1.6), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.4), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.5), "Exp", lines: +1 -0
		src/skimui.desktop (1.4), "Exp", lines: +1 -0

	added desktop file translation for ja
	updated ja translation
	modify po/Makefile.am so that it does not depend on tempfile command (from debianutils)
	
2004-08-23 03:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		skim.spec.in (1.2), "Exp", lines: +11 -13

	merged bug fix from Jan's spec file
	
2004-08-23 02:22  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/desktop_ko.gmo (1.1)
		po/desktop_ko.po (1.1)
	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.6), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.5), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.5), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.5), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.5), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.5), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.8), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.8), "Exp", lines: +3 -0
		po/Makefile.am (1.8), "Exp", lines: +0 -1
		src/skim.desktop (1.5), "Exp", lines: +2 -0
		src/skimkcmplugin.desktop (1.3), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.4), "Exp", lines: +1 -0
		src/skimui.desktop (1.3), "Exp", lines: +1 -0

	updated korean translation
	
2004-08-23 00:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/Makefile.am (1.14), "Exp", lines: +2 -2
		po/Makefile.am (1.7), "Exp", lines: +1 -0
		po/desktop.pot (1.4), "Exp", lines: +1 -1
		po/ja.gmo (1.3), "Exp", lines: +27 -26
		po/ja.po (1.4), "Exp", lines: +25 -4
		po/ko.gmo (1.5), "Exp", lines: +29 -24
		po/ko.po (1.5), "Exp", lines: +25 -4
		po/skim.pot (1.8), "Exp", lines: +22 -2
		po/zh_CN.gmo (1.13), "Exp", lines: +26 -26
		po/zh_CN.po (1.12), "Exp", lines: +25 -3

	updated ko and ja
	fixed a bug which prevent gettext to retrieve strings from dir plugins/mainwindow/
	
2004-08-23 00:30  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		AUTHORS (1.6), "Exp", lines: +2 -1
		po/desktop.pot (1.3), "Exp", lines: +1 -1
		po/ja.gmo (1.2), "Exp", lines: +1 -1
		po/ja.po (1.3), "Exp", lines: +10 -2
		po/ko.gmo (1.4), "Exp", lines: +1 -1
		po/ko.po (1.4), "Exp", lines: +10 -2
		po/skim.pot (1.7), "Exp", lines: +10 -2
		po/zh_CN.gmo (1.12), "Exp", lines: +31 -24
		po/zh_CN.po (1.11), "Exp", lines: +17 -17
		src/main.cpp (1.34), "Exp", lines: +3 -0

	added translator in skim about dialog
	
2004-08-22 23:11  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		desktop_zh_CN.po (1.1)
	Changed:
		po/Makefile.am (1.6), "Exp", lines: +1 -1
		po/desktop.pot (1.2), "Exp", lines: +1 -1
		po/skim.pot (1.6), "Exp", lines: +1 -1

	added simplified chinese translation of desktop files
	
2004-08-22 23:05  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/apply.cc (1.1)
		po/desktop_file_list (1.1)
	Changed:
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.5), "Exp", lines: +3 -0
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.6), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.4), "Exp", lines: +2 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.4), "Exp", lines: +2 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.7), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.4), "Exp", lines: +2 -0
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.6), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.4), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.4), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.6), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.6), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.5), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.5), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.7), "Exp", lines: +3 -1
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.7), "Exp", lines: +3 -0
		po/Makefile.am (1.5), "Exp", lines: +32 -1
		po/desktop_zh_CN.gmo (1.2), "Exp", lines: +1 -1
		src/skim.desktop (1.4), "Exp", lines: +1 -0
		src/skimkcmplugin.desktop (1.2), "Exp", lines: +1 -0
		src/skimplugin.desktop (1.3), "Exp", lines: +1 -0
		src/skimui.desktop (1.2), "Exp", lines: +1 -0

	done desktop po support completely
	
2004-08-22 22:03  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/createdesktop (1.1)
		po/desktop.pot (1.1)
		po/desktop_zh_CN.gmo (1.1)
		po/desktop_zh_CN.po (1.1)
		po/ja.gmo (1.1)
	Changed:
		admin/am_edit (1.3), "Exp", lines: +4 -1
		admin/cvs.sh (1.3), "Exp", lines: +5 -1
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.4), "Exp", lines: +0 -3
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.5), "Exp", lines: +0 -2
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.3), "Exp", lines: +0 -2
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.6), "Exp", lines: +0 -2
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.3), "Exp", lines: +0 -2
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.6), "Exp", lines: +0 -2
		plugins/scimlauncher/skimplugin_scim.desktop (1.3), "Exp", lines: +0 -2
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.5), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.3), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.3), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.5), "Exp", lines: +1 -3
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.5), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.4), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.4), "Exp", lines: +1 -3
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.6), "Exp", lines: +1 -4
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.6), "Exp", lines: +0 -3
		po/Makefile.am (1.4), "Exp", lines: +1 -0
		po/ja.po (1.2), "Exp", lines: +7 -8
		po/skim.pot (1.5), "Exp", lines: +1 -1
		src/skim.desktop (1.3), "Exp", lines: +0 -2

	use po file to translate desktop files
	
2004-08-22 18:34  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/ja.po (1.1)

	added Japanese translation (thanks to Yukiko Bando <ybando AT@ k6.dion.ne.jp>)
	
2004-08-21 23:37  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		skim.spec.in (1.1)
	Changed:
		TODO (1.51), "Exp", lines: +3 -0
		configure.in.in (1.34), "Exp", lines: +6 -1

	added skim.spec (thanks to Jan Hefti <j.hefti@hamburg.de>)
	
2004-08-21 20:46  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.27), "Exp", lines: +0 -3
		plugins/kdetraystatus/kdetraystatus.h (1.10), "Exp", lines: +1 -3
		po/ko.gmo (1.3), "Exp", lines: +24 -20

	po/ko.gmo
	
2004-08-21 20:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.35), "Exp", lines: +83 -31

	Added another method to start skim
	Two new FAQ
	Updated one FAQ to reflect current skim status
	Reformat a warning
	
2004-08-20 15:04  tag skim_0_9_6

2004-08-20 15:04  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/ko.po (1.3), "Exp", lines: +6 -6

	updated korean translation according to scim-hangul
	
2004-08-20 14:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlineedit.cpp (1.14), "Exp", lines: +1 -1
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.4), "Exp", lines: +1 -0
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.5), "Exp", lines: +1 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.5), "Exp", lines: +1 -0
		plugins/setupwindow/scimsetupwindow.cpp (1.27), "Exp", lines: +0 -4
		po/zh_CN.gmo (1.11), "Exp", lines: +20 -16

	cleanup and set a more reasonable minimum size for inputwindow
	
2004-08-20 04:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.33), "Exp", lines: +3 -3

	added fedora core 1 configure tips for skim
	
2004-08-20 04:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.88), "Exp", lines: +103 -0
		NEWS (1.10), "Exp", lines: +6 -0

	updated helper files of version 0.9.6
	
2004-08-20 04:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.33), "Exp", lines: +1 -1
		doc/en/index.docbook (1.32), "Exp", lines: +6 -3
		plugins/setupwindow/scimsetupwindow.cpp (1.26), "Exp", lines: +0 -1
		po/ko.gmo (1.2), "Exp", lines: +11 -10
		po/ko.po (1.2), "Exp", lines: +39 -11
		po/skim.pot (1.4), "Exp", lines: +31 -2
		po/zh_CN.gmo (1.10), "Exp", lines: +1 -1
		po/zh_CN.po (1.10), "Exp", lines: +42 -12

	version 0.9.6 and cleanup
	
2004-08-20 04:23  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		src/skimkcmplugin.desktop (1.1)
	Changed:
		scim_panel_kde.kdevelop (1.11), "Exp", lines: +1 -1
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.3), "Exp", lines: +1 -1
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.4), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.4), "Exp", lines: +1 -1
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.4), "Exp", lines: +3 -2
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.6), "Exp", lines: +7 -4
		plugins/setupwindow/scimsetupwindow.cpp (1.25), "Exp", lines: +29 -14
		plugins/setupwindow/scimsetupwindow.h (1.15), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.2), "Exp", lines: +4 -3
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.2), "Exp", lines: +2 -1
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.4), "Exp", lines: +2 -1
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.4), "Exp", lines: +4 -3
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.3), "Exp", lines: +2 -1
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.3), "Exp", lines: +2 -1
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.5), "Exp", lines: +4 -3
		src/Makefile.am (1.16), "Exp", lines: +1 -1

	new KDE ServiceType Skim/KCModule
	Update settings when only necessary: both for skim itself and scim-lib
	
2004-08-20 02:33  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/scimsetupwindow.cpp (1.24), "Exp", lines: +0 -1

	only update skim settings when something related changed (at present, plugins setting is the only related one)
	
2004-08-19 18:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		admin/detect-autoconf.sh (1.4), "Exp", lines: +25 -63

	add the patch from "Dawit A." <adawit@kde.org>
	
2004-08-19 01:56  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/scim_hangul.kcfg (1.1)
		plugins/setupwindow/scim_hangul.kcfgc (1.1)
		plugins/setupwindow/scim_hangul_ui.ui (1.1)
		plugins/setupwindow/scimhangulsettingloader.cpp (1.1)
		plugins/setupwindow/scimhangulsettingloader.h (1.1)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.1)
		po/ko.gmo (1.1)
	Changed:
		plugins/setupwindow/Makefile.am (1.14), "Exp", lines: +10 -5
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.3), "Exp", lines: +0 -6
		plugins/setupwindow/scimqtimmsettingplugin.h (1.3), "Exp", lines: +1 -4
		po/zh_CN.gmo (1.9), "Exp", lines: +1 -1

	new setupui for scim-hangul
	
2004-08-18 14:50  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/ko.po (1.1)

	korean translation
	
2004-08-12 00:01  tag skim_0_9_5

2004-08-12 00:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.87), "Exp", lines: +75 -0
		NEWS (1.9), "Exp", lines: +11 -4
		README (1.7), "Exp", lines: +1 -1
		TODO (1.50), "Exp", lines: +0 -4
		configure.in.in (1.32), "Exp", lines: +1 -1
		doc/en/index.docbook (1.31), "Exp", lines: +2 -2
		po/skim.pot (1.3), "Exp", lines: +6 -6
		po/zh_CN.po (1.9), "Exp", lines: +10 -9

	0.9.5 is ready
	
2004-08-11 23:50  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.37), "Exp", lines: +6 -6
		plugins/mainwindow/mainwindow.h (1.20), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindowui.rc (1.3), "Exp", lines: +2 -5

	changed the actionlist name, please rm ~/.kde/share/apps/skim/mainwindowui.rc before trying to use the new version
	
2004-08-11 23:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimactions.cpp (1.22), "Exp", lines: +2 -1

	fixed scimaction option behaviors
	
2004-08-11 23:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.36), "Exp", lines: +7 -1
		plugins/mainwindow/mainwindow.h (1.19), "Exp", lines: +2 -1
		plugins/mainwindow/mainwindow_settings.ui (1.4), "Exp", lines: +13 -5
		utils/scimkdeconfig.kcfg (1.18), "Exp", lines: +5 -0

	new option to only display the icon of current input method
	
2004-08-07 16:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.9), "Exp", lines: +1 -1

	fixed another slackware issue(continue)
	
2004-08-06 22:22  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.cpp (1.49), "Exp", lines: +1 -30

	cleanup
	
2004-08-06 11:41  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.8), "Exp", lines: +1 -1

	fixed another slackware issue
	
2004-08-05 00:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.7), "Exp", lines: +2 -1

	fixed another Qt 3.2.x + Gcc 3.2.x issue
	
2004-08-03 17:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.4), "Exp", lines: +5 -3

	fixed key grab issue when a single modifier key is pressed and the release option is selected
	
2004-08-03 00:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.33), "Exp", lines: +8 -0

	fixed another slackware issue: missing a header file for the function daemon
	
2004-08-02 19:40  tag skim_0_9_4

2004-08-02 19:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.86), "Exp", lines: +169 -0
		NEWS (1.8), "Exp", lines: +8 -0
		TODO (1.49), "Exp", lines: +0 -4
		configure.in.in (1.31), "Exp", lines: +5 -1
		src/main.cpp (1.32), "Exp", lines: +2 -2

	version 0.9.4 is ready
	
2004-08-02 19:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.29), "Exp", lines: +16 -36

	updated doc
	
2004-08-02 03:58  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/skim.pot (1.2), "Exp", lines: +89 -57
		po/zh_CN.po (1.8), "Exp", lines: +97 -61

	updated translation
	
2004-08-02 03:51  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.31), "Exp", lines: +1 -1

	fixed: mis-replaced ** to *
	
2004-08-02 03:40  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/configinputwindow.cpp (1.3), "Exp", lines: +2 -2
		plugins/inputwindow/configinputwindow.h (1.2), "Exp", lines: +3 -3
		plugins/inputwindow/inputwindow.cpp (1.38), "Exp", lines: +1 -1
		plugins/inputwindow/inputwindow.h (1.28), "Exp", lines: +2 -2
		plugins/inputwindow/scimlineedit.cpp (1.13), "Exp", lines: +2 -2
		plugins/inputwindow/scimlineedit.h (1.8), "Exp", lines: +3 -3
		plugins/inputwindow/scimlistbox.cpp (1.14), "Exp", lines: +2 -2
		plugins/inputwindow/scimlistbox.h (1.15), "Exp", lines: +3 -3
		plugins/inputwindow/scimlookuptable.cpp (1.11), "Exp", lines: +2 -2
		plugins/inputwindow/scimlookuptable.h (1.5), "Exp", lines: +3 -3
		plugins/inputwindow/scimstringlistitem.cpp (1.9), "Exp", lines: +2 -2
		plugins/inputwindow/scimstringlistitem.h (1.10), "Exp", lines: +3 -3
		plugins/inputwindow/scimstringrender.cpp (1.4), "Exp", lines: +2 -2
		plugins/inputwindow/scimstringrender.h (1.3), "Exp", lines: +3 -3
		plugins/kdetraystatus/kcmloader.cpp (1.4), "Exp", lines: +2 -2
		plugins/kdetraystatus/kcmloader.h (1.4), "Exp", lines: +3 -3
		plugins/kdetraystatus/kdetraystatus.cpp (1.26), "Exp", lines: +1 -1
		plugins/kdetraystatus/kdetraystatus.h (1.9), "Exp", lines: +2 -2
		plugins/kdetraystatus/systemtrayplugin.cpp (1.3), "Exp", lines: +2 -2
		plugins/kdetraystatus/systemtrayplugin.h (1.2), "Exp", lines: +3 -3
		plugins/mainwindow/configmainwindow.cpp (1.2), "Exp", lines: +2 -2
		plugins/mainwindow/configmainwindow.h (1.2), "Exp", lines: +3 -3
		plugins/mainwindow/mainwindow.cpp (1.35), "Exp", lines: +1 -1
		plugins/mainwindow/mainwindow.h (1.18), "Exp", lines: +2 -2
		plugins/scimlauncher/scimlauncher.cpp (1.33), "Exp", lines: +2 -2
		plugins/scimlauncher/scimlauncher.h (1.13), "Exp", lines: +3 -3
		plugins/setupwindow/configskimplugins.cpp (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/configskimplugins.h (1.2), "Exp", lines: +3 -3
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.5), "Exp", lines: +2 -2
		plugins/setupwindow/scimglobalconfigplugin.h (1.4), "Exp", lines: +3 -3
		plugins/setupwindow/scimimenginesettings.cpp (1.6), "Exp", lines: +2 -2
		plugins/setupwindow/scimimenginesettings.h (1.3), "Exp", lines: +3 -3
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/scimqtimmsettingplugin.h (1.2), "Exp", lines: +3 -3
		plugins/setupwindow/scimsetupwindow.cpp (1.23), "Exp", lines: +2 -2
		plugins/setupwindow/scimsetupwindow.h (1.14), "Exp", lines: +3 -3
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.2), "Exp", lines: +3 -3
		plugins/setupwindow/scimtablesettingplugin.cpp (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/scimtablesettingplugin.h (1.2), "Exp", lines: +3 -3
		plugins/setupwindow/scimxsettings.cpp (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/scimxsettings.h (1.2), "Exp", lines: +3 -3
		scim/config/scim_kconfig_config.cpp (1.8), "Exp", lines: +2 -2
		src/main.cpp (1.30), "Exp", lines: +3 -3
		src/scimhelpdialog.cpp (1.2), "Exp", lines: +2 -2
		src/scimhelpdialog.h (1.2), "Exp", lines: +3 -3
		src/skimglobalactions.cpp (1.21), "Exp", lines: +2 -2
		src/skimglobalactions.h (1.15), "Exp", lines: +3 -3
		src/skimkeygrabber.cpp (1.3), "Exp", lines: +2 -2
		src/skimkeygrabber.h (1.3), "Exp", lines: +3 -3
		src/skimplugin.cpp (1.4), "Exp", lines: +2 -2
		src/skimplugin.h (1.2), "Exp", lines: +3 -3
		src/skimpluginmanager.cpp (1.19), "Exp", lines: +1 -1
		src/skimpluginmanager.h (1.8), "Exp", lines: +2 -2
		src/socketserverthread.cpp (1.48), "Exp", lines: +1 -1
		src/socketserverthread.h (1.36), "Exp", lines: +3 -3
		utils/kautocmodule.cpp (1.4), "Exp", lines: +2 -2
		utils/kautocmodule.h (1.3), "Exp", lines: +3 -3
		utils/scimactions.cpp (1.21), "Exp", lines: +2 -2
		utils/scimactions.h (1.16), "Exp", lines: +3 -3
		utils/scimdragableframe.cpp (1.4), "Exp", lines: +2 -2
		utils/scimdragableframe.h (1.3), "Exp", lines: +3 -3
		utils/scimmovehandle.cpp (1.3), "Exp", lines: +2 -2
		utils/scimmovehandle.h (1.3), "Exp", lines: +3 -3
		utils/scimtoolbar.cpp (1.5), "Exp", lines: +2 -2
		utils/scimtoolbar.h (1.3), "Exp", lines: +3 -3
		utils/scimxmlguibuilder.cpp (1.3), "Exp", lines: +2 -2
		utils/scimxmlguibuilder.h (1.3), "Exp", lines: +3 -3

	cleanup and change email address
	
2004-08-02 03:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.2), "Exp", lines: +5 -0
		plugins/setupwindow/smartpinyinui.ui (1.3), "Exp", lines: +310 -47

	completed setup ui for smartpinyin
	
2004-08-01 22:11  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.20), "Exp", lines: +18 -9
		src/skimglobalactions.h (1.14), "Exp", lines: +4 -3

	fixed gcc 3.2.x + qt 3.2.x issue (hopefully)
	
2004-08-01 03:44  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scim_global.ui (1.4), "Exp", lines: +159 -112
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.4), "Exp", lines: +132 -7
		plugins/setupwindow/scimglobalconfigplugin.h (1.3), "Exp", lines: +4 -0

	full setup ui for global scim settings
	
2004-07-31 03:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.32), "Exp", lines: +3 -2

	fixed FreeBSD 5.x compatible issue and got rid of a warning
	
2004-07-27 16:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/qtimmui.ui (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scim_global.ui (1.3), "Exp", lines: +1 -1

	fixed ui files
	
2004-07-19 00:57  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.22), "Exp", lines: +13 -12
		plugins/setupwindow/scimsetupwindow.h (1.13), "Exp", lines: +2 -1
		scim/config/scim_kconfig_config.cpp (1.7), "Exp", lines: +3 -3

	signal scim to reload its settings when new settings are saved in config dialog
	
2004-07-17 18:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.85), "Exp", lines: +291 -0
		NEWS (1.7), "Exp", lines: +7 -0

	updated ChangeLog NEWS
	
2004-07-17 18:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/kdesystray.png (1.2), "Exp", lines: +26 -28
		doc/en/setupwindow.png (1.5), "Exp", lines: +57 -58

	new screenshots
	
2004-07-17 17:56  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/qtimm.kcfg (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.3), "Exp", lines: +11 -6
		plugins/setupwindow/scimglobalconfigplugin.h (1.2), "Exp", lines: +1 -0

	check settings when load and save
	
2004-07-17 17:55  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.28), "Exp", lines: +13 -18
		doc/en/inputwindow.png (1.3), "Exp", lines: +7 -15
		doc/en/mainwindow.png (1.3), "Exp", lines: +19 -21
		doc/en/setupwindow.png (1.4), "Exp", lines: +58 -154

	new doc and screenshots
	
2004-07-17 17:09  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		po/skim.pot (1.1)
	Changed:
		plugins/setupwindow/scim_global.ui (1.2), "Exp", lines: +0 -3
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.4), "Exp", lines: +1 -1
		po/zh_CN.gmo (1.7), "Exp", lines: +28 -30
		po/zh_CN.po (1.7), "Exp", lines: +140 -158

	update translation
	
2004-07-17 17:08  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.30), "Exp", lines: +2 -2

	new version 0.9.3
	
2004-07-16 20:07  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/scim_global.ui (1.1)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.1)
		plugins/setupwindow/scimglobalconfigplugin.h (1.1)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.1)
	Changed:
		TODO (1.45), "Exp", lines: +3 -0
		plugins/setupwindow/Makefile.am (1.13), "Exp", lines: +11 -4

	new setupui for global scim settings (partially done)
	
2004-07-16 20:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.2), "Exp", lines: +5 -3
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.3), "Exp", lines: +1 -1
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.5), "Exp", lines: +3 -3

	update desktop files
	
2004-07-16 17:10  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.19), "Exp", lines: +5 -1

	fixed: crash when click on the keyboard menu item
	
2004-07-16 02:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow_settings.ui (1.3), "Exp", lines: +0 -3
		plugins/setupwindow/Makefile.am (1.12), "Exp", lines: +1 -1
		plugins/setupwindow/generictableui.ui (1.2), "Exp", lines: +0 -15
		plugins/setupwindow/scim_x.ui (1.3), "Exp", lines: +0 -3
		plugins/setupwindow/smartpinyinui.ui (1.2), "Exp", lines: +0 -54

	fixed ui files
	
2004-07-16 02:35  LiuCougar <liuspider@users.sourceforge.net>

	Deleted:
		plugins/setupwindow/interface_setup.ui (1.4)

	get rid of an unused ui file
	
2004-07-16 02:27  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/configskimplugins.cpp (1.2), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.18), "Exp", lines: +3 -3

	fixed the icon size issue
	
2004-07-16 01:32  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/configskimplugins.cpp (1.1)
		plugins/setupwindow/configskimplugins.h (1.1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.1)
	Changed:
		plugins/setupwindow/Makefile.am (1.11), "Exp", lines: +8 -3
		plugins/setupwindow/scimsetupwindow.cpp (1.21), "Exp", lines: +41 -50
		plugins/setupwindow/scimsetupwindow.h (1.12), "Exp", lines: +6 -10
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.3), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.2), "Exp", lines: +1 -1
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.2), "Exp", lines: +2 -2
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.3), "Exp", lines: +1 -1

	use KCMultiDialog as the base class for setup dialog and a new deticated skim plugin config kcmodule
	
2004-07-11 12:19  James Su <suzhe@tsinghua.org.cn>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.31), "Exp", lines: +10 -8

	Only use socket imengine when manual==false.
	
2004-07-11 04:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.30), "Exp", lines: +4 -9
		plugins/setupwindow/scimimenginesettings.cpp (1.5), "Exp", lines: +11 -5
		utils/scimkdeconfig.kcfg (1.17), "Exp", lines: +2 -2

	use global settings to store disabled imengines
	
2004-07-08 02:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.29), "Exp", lines: +2 -0

	forgot to add usleep
	
2004-07-07 20:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.17), "Exp", lines: +5 -13

	notify all clients to exit when quits (moved from scimlauncher)
	
2004-07-07 20:06  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.28), "Exp", lines: +13 -26
		plugins/scimlauncher/scimlauncher.h (1.12), "Exp", lines: +1 -2

	exit if wait exceed 3s timeout
	add a timeout to check whether the first scim-launch has been fully started
	cleanup
	
2004-07-07 03:43  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/qtimm.kcfg (1.1)
		plugins/setupwindow/qtimm.kcfgc (1.1)
		plugins/setupwindow/qtimmui.ui (1.1)
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.1)
		plugins/setupwindow/scimqtimmsettingplugin.h (1.1)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.1)
	Changed:
		plugins/setupwindow/.cvsignore (1.5), "Exp", lines: +12 -0
		plugins/setupwindow/Makefile.am (1.10), "Exp", lines: +7 -4
		plugins/setupwindow/scimsetupwindow.cpp (1.20), "Exp", lines: +1 -1

	new config ui for qt-immodule
	
2004-07-07 03:29  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.29), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.16), "Exp", lines: +1 -0

	fixed: when setup dialog is shown, skim can not exit successfully
	
2004-07-06 01:49  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skim.desktop (1.2), "Exp", lines: +4 -4

	update translation and exec command
	
2004-07-05 00:47  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.29), "Exp", lines: +1 -1
		doc/en/index.docbook (1.27), "Exp", lines: +2 -2

	version 0.9.2
	
2004-07-05 00:26  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.19), "Exp", lines: +2 -2
		src/main.cpp (1.28), "Exp", lines: +4 -11
		src/skimglobalactions.cpp (1.18), "Exp", lines: +12 -8
		src/skimglobalactions.h (1.13), "Exp", lines: +3 -5
		src/skimpluginmanager.cpp (1.15), "Exp", lines: +1 -1
		src/skimpluginmanager.h (1.7), "Exp", lines: +1 -1

	qobject is enough for plugin manager, no qwidget features are required
	
2004-07-03 22:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.h (1.27), "Exp", lines: +2 -0
		plugins/setupwindow/scimimenginesettings.cpp (1.4), "Exp", lines: +2 -1

	added missing header file caused by last cleaning up
	
2004-07-03 22:15  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.17), "Exp", lines: +18 -14
		src/socketserverthread.h (1.35), "Exp", lines: +2 -4

	fixed a bug: create std property more than once; cleanup
	
2004-07-03 22:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.h (1.34), "Exp", lines: +3 -20

	cleanup
	
2004-07-03 21:59  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.37), "Exp", lines: +15 -3
		plugins/inputwindow/scimlineedit.cpp (1.12), "Exp", lines: +2 -2
		plugins/mainwindow/mainwindow.cpp (1.34), "Exp", lines: +2 -3

	new look, hopefully it's better now
	
2004-07-03 15:36  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.3), "Exp", lines: +0 -7
		plugins/setupwindow/scimimenginesettings.h (1.2), "Exp", lines: +9 -1

	fixed gcc 3.4 compile problem
	
2004-07-03 15:35  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/socketserverthread.cpp (1.47), "Exp", lines: +2 -2
		src/socketserverthread.h (1.33), "Exp", lines: +1 -1

	fixed qt 3.2.x compile problem
	
2004-07-02 23:25  tag skim_0_9_1

2004-07-02 23:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		NEWS (1.6), "Exp", lines: +9 -0

	0.9.1
	
2004-07-02 23:16  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/generictable.kcfg (1.2), "Exp", lines: +5 -5

	fixed error types of some options
	
2004-07-02 14:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		TODO (1.42), "Exp", lines: +1 -24
		src/socketserverthread.cpp (1.46), "Exp", lines: +5 -6

	cleanup
	
2004-07-02 02:42  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.26), "Exp", lines: +4 -5

	update a little
	
2004-07-02 02:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.25), "Exp", lines: +2 -2

	update abstract and introduction
	
2004-07-02 02:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.28), "Exp", lines: +1 -1

	require scim-lib >= 0.99.2
	
2004-07-02 02:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.24), "Exp", lines: +17 -18

	updated doc
	
2004-07-02 01:53  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.84), "Exp", lines: +243 -0

	updated ChangeLog
	
2004-07-01 22:46  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		plugins/setupwindow/generictable.kcfg (1.1)
		plugins/setupwindow/generictable.kcfgc (1.1)
		plugins/setupwindow/generictableui.ui (1.1)
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.1)
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.1)
		plugins/setupwindow/scimtablesettingplugin.cpp (1.1)
		plugins/setupwindow/scimtablesettingplugin.h (1.1)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.1)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.1)
		plugins/setupwindow/smartpinyin.kcfg (1.1)
		plugins/setupwindow/smartpinyin.kcfgc (1.1)
		plugins/setupwindow/smartpinyinui.ui (1.1)
	Changed:
		scim_panel_kde.kdevelop (1.9), "Exp", lines: +1 -1
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.3), "Exp", lines: +3 -0
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.2), "Exp", lines: +5 -2
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.2), "Exp", lines: +4 -1
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.2), "Exp", lines: +3 -0
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.2), "Exp", lines: +2 -0
		plugins/scimlauncher/skimplugin_scim.desktop (1.2), "Exp", lines: +3 -0
		plugins/setupwindow/Makefile.am (1.9), "Exp", lines: +15 -4
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.2), "Exp", lines: +2 -0
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.2), "Exp", lines: +3 -0
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.4), "Exp", lines: +3 -0
		po/zh_CN.gmo (1.6), "Exp", lines: +31 -8
		po/zh_CN.po (1.6), "Exp", lines: +259 -27
		utils/kautocmodule.cpp (1.3), "Exp", lines: +6 -2
		utils/kautocmodule.h (1.2), "Exp", lines: +2 -1
		utils/scimkdeconfig.kcfg (1.16), "Exp", lines: +0 -41

	new scim-lib setupui for generic table IMEngine and smartpinyin
	update zh_CN translation
	
2004-06-28 23:39  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimkeygrabber.cpp (1.2), "Exp", lines: +23 -9
		src/skimkeygrabber.h (1.2), "Exp", lines: +2 -1

	fixed keygrabber crash when used with in progress qt-immodule for SCIM; added a 'left/right modifier' option to keygrabber dialog
	
2004-06-28 17:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.27), "Exp", lines: +13 -3

	new option: -o like in scim-panel-gtk but no effect now; changed -v to verbose level and -V to output version info
	
2004-06-27 15:37  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlineedit.cpp (1.11), "Exp", lines: +6 -21
		plugins/inputwindow/scimlineedit.h (1.7), "Exp", lines: +3 -6
		plugins/inputwindow/scimstringlistitem.cpp (1.8), "Exp", lines: +5 -0
		plugins/inputwindow/scimstringlistitem.h (1.9), "Exp", lines: +1 -0
		plugins/inputwindow/scimstringrender.cpp (1.3), "Exp", lines: +0 -4
		plugins/inputwindow/scimstringrender.h (1.2), "Exp", lines: +1 -1

	bug fix: update scimstringrender fontmatrix info when parent widget's font changes
	
2004-06-27 01:20  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/.cvsignore (1.3), "Exp", lines: +2 -0
		plugins/kdetraystatus/.cvsignore (1.3), "Exp", lines: +2 -0
		plugins/mainwindow/.cvsignore (1.3), "Exp", lines: +2 -0
		plugins/setupwindow/.cvsignore (1.4), "Exp", lines: +2 -0
		src/.cvsignore (1.9), "Exp", lines: +1 -0

	ignore generated files
	
2004-06-27 01:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.26), "Exp", lines: +13 -10
		src/skimpluginmanager.cpp (1.14), "Exp", lines: +2 -2
		src/skimpluginmanager.h (1.6), "Exp", lines: +1 -0
		src/socketserverthread.cpp (1.45), "Exp", lines: +9 -4
		src/socketserverthread.h (1.32), "Exp", lines: +1 -1

	new skim commandline arguments: --no-stay and -c, now scim-panel-kde can replace scim-panel-gtk directly
	
2004-06-27 00:20  LiuCougar <liuspider@users.sourceforge.net>

	Added:
		src/scim-panel-kde.in (1.1)
	Changed:
		configure.in.in (1.27), "Exp", lines: +3 -1
		src/Makefile.am (1.15), "Exp", lines: +3 -0

	new script wrapper for skim: scim-panel-kde which will disable the scimlauncher skim plugin
	
2004-06-26 23:18  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/inputwindow.cpp (1.36), "Exp", lines: +0 -1
		plugins/mainwindow/mainwindow.cpp (1.33), "Exp", lines: +1 -5
		plugins/scimlauncher/scimlauncher.cpp (1.27), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.13), "Exp", lines: +16 -27

	cleanup
	
2004-06-26 22:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/mainwindow/mainwindow.cpp (1.32), "Exp", lines: +16 -11
		plugins/mainwindow/mainwindow.h (1.17), "Exp", lines: +1 -0

	all implemented mainwindow options can respond to setting changes immediately
	
2004-06-26 22:28  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/main.cpp (1.25), "Exp", lines: +28 -7
		src/skimpluginmanager.cpp (1.12), "Exp", lines: +19 -7
		src/skimpluginmanager.h (1.5), "Exp", lines: +5 -1

	new command arguments: -l, -n and --np to customize which plugins will be enabled/disabled
	
2004-06-26 18:21  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.6), "Exp", lines: +7 -2

	fixed a bug: when kconfig is used via scim-setup, the first time modified settings will not save to the config file properly
	
2004-06-26 17:43  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimimenginesettings.cpp (1.2), "Exp", lines: +0 -1

	cleanup
	
2004-06-26 16:34  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.16), "Exp", lines: +1 -1

	properties should all be added into externalActions
	
2004-06-26 16:05  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimpluginmanager.cpp (1.11), "Exp", lines: +8 -7
		src/socketserverthread.cpp (1.44), "Exp", lines: +1 -1

	if a panel is already running, print a verbose warning and quit and get rid of backtrace output
	
2004-06-26 15:54  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/setupwindow/scimsetupwindow.cpp (1.18), "Exp", lines: +3 -2
		plugins/setupwindow/scimsetupwindow.h (1.11), "Exp", lines: +1 -1
		src/skimpluginmanager.cpp (1.10), "Exp", lines: +3 -3

	use KSettings::Dispatcher to notify plugin manager to reload plugins
	
2004-06-26 15:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.26), "Exp", lines: +5 -3

	Sleep one second after launching the Socket FrontEnd process
	
2004-06-26 15:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/inputwindow/scimlistbox.cpp (1.13), "Exp", lines: +3 -38
		plugins/inputwindow/scimlistbox.h (1.14), "Exp", lines: +1 -1

	added a space after every candidate when in left-right mode
	
2004-06-26 15:01  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		src/skimglobalactions.cpp (1.15), "Exp", lines: +106 -81
		src/skimglobalactions.h (1.12), "Exp", lines: +1 -2

	fixed property support bug when using uim IMEngines
	
2004-06-25 21:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		scim/config/scim_kconfig_config.cpp (1.5), "Exp", lines: +12 -282
		scim/config/scim_kconfig_config.h (1.2), "Exp", lines: +1 -0

	cleanup
	
2004-06-25 21:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		utils/scimkdeconfig.kcfg (1.15), "Exp", lines: +1 -1

	/SupportedUnicodeLocales should be of type string
	
2004-06-25 21:24  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/scimlauncher/scimlauncher.cpp (1.25), "Exp", lines: +1 -0

	usleep 200 ms to give the first scim process to create socket server
	
2004-06-25 21:23  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		configure.in.in (1.26), "Exp", lines: +1 -1

	version 0.9.1
	
2004-06-25 00:38  tag skim_0_9_0

2004-06-25 00:38  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus.cpp (1.25), "Exp", lines: +1 -1

	icon scim should be skim
	
2004-06-25 00:17  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		doc/en/index.docbook (1.22), "Exp", lines: +1 -1

	updated download url
	
2004-06-25 00:09  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		bootstrap (1.8), "Exp", lines: +2 -0

	remove more unneeded files when release
	
2004-06-25 00:03  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		po/zh_CN.gmo (1.5), "Exp", lines: +7 -7
		po/zh_CN.po (1.5), "Exp", lines: +108 -92

	updated translation strings and simplified chinese version
	
2004-06-24 23:52  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		plugins/kdetraystatus/kdetraystatus_config.ui (1.3), "Exp", lines: +1 -1

	cleanup
	
2004-06-24 20:25  LiuCougar <liuspider@users.sourceforge.net>

	Changed:
		ChangeLog (1.83), "Exp", lines: +2 -3
